#
# spec file for package ovmf
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# needssslcertforbuild

%undefine _build_create_debug
%define   openssl_version 1.0.2j

Name:           ovmf
Url:            http://sourceforge.net/apps/mediawiki/tianocore/index.php?title=EDK2
Summary:        Open Virtual Machine Firmware
License:        BSD-2-Clause
Group:          System/Emulators/PC
Version:        2015+git1462940744.321151f
Release:        7.2
Source0:        %{name}-%{version}.tar.xz
Source1:        https://www.openssl.org/source/openssl-%{openssl_version}.tar.gz
Source111:      https://www.openssl.org/source/openssl-%{openssl_version}.tar.gz.asc
Source112:      openssl.keyring
Source2:        README
Source3:        SLES-UEFI-CA-Certificate-2048.crt
Source4:        SLES-UEFI-SIGN-Certificate-2048.crt
Source5:        MicCorKEKCA2011_2011-06-24.crt
Source6:        MicCorUEFCA2011_2011-06-27.crt
Source7:        openSUSE-UEFI-CA-Certificate-2048.crt
Source8:        openSUSE-UEFI-SIGN-Certificate-2048.crt
Source9:        openSUSE-UEFI-CA-Certificate-4096.crt
Source10:       openSUSE-UEFI-SIGN-Certificate-4096.crt
Source11:       http://www.uefi.org/sites/default/files/resources/dbxupdate.zip
Source12:       strip_authinfo.pl
Source13:       MicWinProPCA2011_2011-10-19.crt
Source100:      %{name}-rpmlintrc
Source101:      gdb_uefi.py.in
Patch2:         %{name}-embed-default-keys.patch
Patch3:         %{name}-gdb-symbols.patch
Patch4:         ArmVirtPkg-Enable-PCI-bus-probing-again.patch
Patch5:         %{name}-dxe-10mb.patch
Patch6:         %{name}-bsc976253-postpone-shell.patch
Patch7:         %{name}-bsc980635-fix-http-crash.patch
Patch8:         %{name}-bsc982193-dont-restore-readonly-var.patch
Patch9:         %{name}-bsc982193-connect-xen-drivers.patch
Patch10:        %{name}-bsc990612-update-openssl-1.0.2h.patch
Patch11:        %{name}-bsc990773-remove-stale-boot-options.patch
Patch12:        ovmf-aarch64-manage-GICv3-SPI-state-at-the-distr.patch
Patch13:        ovmf-aarch64-ArmGicLib-use-correct-loop-variable.patch
Patch14:        %{name}-bsc1009707-drop-too-strict-hd-suffix.path
Patch15:        %{name}-bsc1013603-update-openssl-1.0.2j.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  libuuid-devel
BuildRequires:  python
%ifnarch aarch64 %arm
BuildRequires:  iasl
BuildRequires:  nasm
%endif
%ifarch x86_64
BuildRequires:  openssl
BuildRequires:  unzip
%if 0%{?suse_version}
BuildRequires:  vim-base
%else
BuildRequires:  vim-common
%endif
%endif
ExclusiveArch:  %ix86 x86_64 aarch64 %arm

%description
The Open Virtual Machine Firmware (OVMF) project aims to support
firmware for Virtual Machines using the edk2 code base.

%package tools
Summary:        The BaseTools from edk2
Group:          System/Emulators/PC

%description tools
The Open Virtual Machine Firmware (OVMF) project aims to support
firmware for Virtual Machines using the edk2 code base.

This package contains the tools from edk2.

%ifarch %ix86
%package -n qemu-ovmf-ia32
Summary:        Open Virtual Machine Firmware - QEMU rom images (IA32)
Group:          System/Emulators/PC
BuildArch:      noarch
Requires:       qemu

%description -n qemu-ovmf-ia32
The Open Virtual Machine Firmware (OVMF) project aims to support
firmware for Virtual Machines using the edk2 code base.

This package contains UEFI rom images for exercising UEFI secure
boot in a qemu environment (IA32)
%endif

%ifarch x86_64
%package -n qemu-ovmf-x86_64
Summary:        Open Virtual Machine Firmware - QEMU rom images (x86_64)
Group:          System/Emulators/PC
BuildArch:      noarch
Requires:       qemu

%description -n qemu-ovmf-x86_64
The Open Virtual Machine Firmware (OVMF) project aims to support
firmware for Virtual Machines using the edk2 code base.

This package contains UEFI rom images for exercising UEFI secure
boot in a qemu environment (x86_64)

%package -n qemu-ovmf-x86_64-debug
Summary:        Open Virtual Machine Firmware - debug symbols (x86_64)
Group:          Development/Debug
Requires:       qemu

%description -n qemu-ovmf-x86_64-debug
The Open Virtual Machine Firmware (OVMF) project aims to support
firmware for Virtual Machines using the edk2 code base.

This package contains the debug symbols for UEFI rom images (x86_64)

%endif

%ifarch aarch64
%package -n qemu-uefi-aarch64
Summary:        UEFI QEMU rom image (AArch64)
Group:          System/Emulators/PC
BuildArch:      noarch

%description -n qemu-uefi-aarch64
This package contains the UEFI rom image (AArch64) for QEMU cortex-a57
virt board.
%endif

%ifarch %arm
%package -n qemu-uefi-aarch32
Summary:        UEFI QEMU rom image (AArch32)
Group:          System/Emulators/PC
BuildArch:      noarch

%description -n qemu-uefi-aarch32
This package contains the UEFI rom image (AArch32) for QEMU cortex-a15
virt board.
%endif

%prep
%setup -q -n %{name}-%{version}
%setup -T -D -n %{name}-%{version}/CryptoPkg/Library/OpensslLib -a 1
%setup -T -D -n %{name}-%{version}

# bsc#973038 Remove the packages we don't need to avoid any potential
# license issue. 
PKG_TO_REMOVE="AppPkg DuetPkg CorebootModulePkg CorebootPayloadPkg \
EmulatorPkg Nt32Pkg Omap35xxPkg QuarkPlatformPkg QuarkSocPkg StdLib \
StdLibPrivateInternalFiles UnixPkg Vlv2DeviceRefCodePkg Vlv2TbltDevicePkg"
rm -rf $PKG_TO_REMOVE

%ifarch x86_64
%patch2 -p1
%endif
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
# Intel has special patches for openssl
pushd CryptoPkg/Library/OpensslLib/openssl-%{openssl_version}
patch -p1 -i ../EDKII_openssl-%{openssl_version}.patch
popd

%build
pushd CryptoPkg/Library/OpensslLib/
./Install.sh
popd

OVMF_FLAGS="-D FD_SIZE_2MB -D SECURE_BOOT_ENABLE -D NETWORK_IP6_ENABLE -D HTTP_BOOT_ENABLE"

%if 0%{?suse_version} > 1320
TOOL_CHAIN_TAG=GCC49
%else
echo `gcc -dumpversion`
TOOL_CHAIN_TAG=GCC$(gcc -dumpversion|sed 's/\([0-9]\)\.\([0-9]\).*/\1\2/')
%endif

%ifarch %ix86
	BUILD_OPTIONS="$OVMF_FLAGS -a IA32 -p OvmfPkg/OvmfPkgIa32.dsc -b DEBUG -t $TOOL_CHAIN_TAG"
	make -C BaseTools
%else
%ifarch x86_64
	BUILD_OPTIONS="$OVMF_FLAGS -a X64 -p OvmfPkg/OvmfPkgX64.dsc -b DEBUG -t $TOOL_CHAIN_TAG"
	make -C BaseTools
%else
%ifarch aarch64
	BUILD_OPTIONS="-D SECURE_BOOT_ENABLE -a AARCH64 -p ArmVirtPkg/ArmVirtQemu.dsc -b RELEASE -t $TOOL_CHAIN_TAG"
	ARCH=AARCH64 make -C BaseTools
%else
%ifarch %arm
	BUILD_OPTIONS="-a ARM -p ArmVirtPkg/ArmVirtQemu.dsc -b RELEASE -t $TOOL_CHAIN_TAG"
	ARCH=ARM make -C BaseTools
%else
	echo "ERROR: unsupported architecture"
	false
%endif #arm
%endif #aarch64
%endif #x86_64
%endif #ix86

. ./edksetup.sh

# Build the UEFI image
build $BUILD_OPTIONS

%ifarch %ix86
cp Build/OvmfIa32/DEBUG_*/FV/OVMF.fd ovmf-ia32.bin
cp Build/OvmfIa32/DEBUG_*/FV/OVMF_CODE.fd ovmf-ia32-code.bin
cp Build/OvmfIa32/DEBUG_*/FV/OVMF_VARS.fd ovmf-ia32-vars.bin
%else
%ifarch x86_64

collect_debug_files()
{
	target="$1"
	out_dir="debug/$target"
	abs_path="`pwd`/$out_dir/"
	source_path="`pwd`"
	gdb_src_path="/usr/src/debug/ovmf-x86_64"

	# copy the debug symbols
	mkdir -p $out_dir
	pushd Build/OvmfX64/DEBUG_GCC*/X64/
	find . -mindepth 2 -type f -name "*.debug" -exec cp --parents -a {} $abs_path \;
	cp --parents -a DebugPkg/GdbSyms/GdbSyms/DEBUG/GdbSyms.dll $abs_path
	build_path=`pwd`
	popd

	# Change the path in the python gdb script
	sed "s:__BUILD_PATH__:$build_path:;s:__SOURCE_PATH__:$source_path:;s:__GDB_SRC_PATH__:$gdb_src_path:;s/__FLAVOR__/$target/" \
	  %{SOURCE101} > gdb_uefi-$target.py
}

cp Build/OvmfX64/DEBUG_*/FV/OVMF.fd ovmf-x86_64.bin
cp Build/OvmfX64/DEBUG_*/FV/OVMF_CODE.fd ovmf-x86_64-code.bin
cp Build/OvmfX64/DEBUG_*/FV/OVMF_VARS.fd ovmf-x86_64-vars.bin

# Collect the debug files
collect_debug_files ovmf-x86_64
# Collect the source
mkdir -p source/ovmf-x86_64
#   TODO get the source list from debug files
src_list=`find Build/OvmfX64/DEBUG_GCC*/X64/ -mindepth 1 -maxdepth 1 -type d -exec basename {} \;`
find $src_list \( -name "*.c" -o -name "*.h" \) -type f -exec cp --parents -a {} source/ovmf-x86_64 \;

build_with_keys()
{
	suffix="$1"
	xxd -i Default_PK >  SecurityPkg/Library/AuthVariableLib/Default_PK.h
	xxd -i Default_KEK > SecurityPkg/Library/AuthVariableLib/Default_KEK.h
	xxd -i Default_DB >  SecurityPkg/Library/AuthVariableLib/Default_DB.h
	if [ -e Default_DB_EX ]; then
		xxd -i Default_DB_EX > SecurityPkg/Library/AuthVariableLib/Default_DB_EX.h
	fi
	if [ -e Default_DBX ]; then
		xxd -i Default_DBX > SecurityPkg/Library/AuthVariableLib/Default_DBX.h
	fi
	build $BUILD_OPTIONS
	cp Build/OvmfX64/DEBUG_*/FV/OVMF.fd ovmf-x86_64-$suffix.bin
	cp Build/OvmfX64/DEBUG_*/FV/OVMF_CODE.fd ovmf-x86_64-$suffix-code.bin
	cp Build/OvmfX64/DEBUG_*/FV/OVMF_VARS.fd ovmf-x86_64-$suffix-vars.bin

	collect_debug_files ovmf-x86_64-$suffix
}
# OVMF with SUSE keys
openssl x509 -in %{SOURCE3} -outform DER > Default_PK
openssl x509 -in %{SOURCE3} -outform DER > Default_KEK
openssl x509 -in %{SOURCE4} -outform DER > Default_DB
build_with_keys suse

#unpack the UEFI revocation list
unzip %{SOURCE11} 

# OVMF with MS keys
cat %{SOURCE5} > Default_PK
cat %{SOURCE5} > Default_KEK
cat %{SOURCE6} > Default_DB
cat %{SOURCE13} > Default_DB_EX
chmod 755 %{SOURCE12}
%{SOURCE12} dbxupdate.bin Default_DBX
build_with_keys ms
rm -f Default_DBX

# OVMF with openSUSE keys
openssl x509 -in %{SOURCE7} -outform DER > Default_PK
openssl x509 -in %{SOURCE7} -outform DER > Default_KEK
openssl x509 -in %{SOURCE8} -outform DER > Default_DB
build_with_keys opensuse

# OVMF with openSUSE keys (4096 bit CA)
openssl x509 -in %{SOURCE9} -outform DER > Default_PK
openssl x509 -in %{SOURCE9} -outform DER > Default_KEK
openssl x509 -in %{SOURCE10} -outform DER > Default_DB
build_with_keys opensuse-4096

if [ -e %{_sourcedir}/_projectcert.crt ]; then
	prjissuer=$(openssl x509 -in %{_sourcedir}/_projectcert.crt -noout -issuer_hash)
	opensusesubject=$(openssl x509 -in %{SOURCE7} -noout -subject_hash)
	slessubject=$(openssl x509 -in %{SOURCE3} -noout -subject_hash)
	if [ "$prjissuer" != "$opensusesubject" -a "$prjissuer" != "$slessubject" ]; then
		openssl x509 -in %{_sourcedir}/_projectcert.crt -outform DER > Default_PK
		openssl x509 -in %{_sourcedir}/_projectcert.crt -outform DER > Default_KEK
		openssl x509 -in %{_sourcedir}/_projectcert.crt -outform DER > Default_DB
		build_with_keys devel
	fi
fi

%else
%ifarch aarch64
cp Build/ArmVirtQemu-AARCH64/RELEASE_GCC*/FV/QEMU_EFI.fd qemu-uefi-aarch64.bin
dd of="aavmf-aarch64-code.bin" if="/dev/zero" bs=1M count=64
dd of="aavmf-aarch64-code.bin" if="qemu-uefi-aarch64.bin" conv=notrunc
dd of="aavmf-aarch64-vars.bin" if="/dev/zero" bs=1M count=64
%else
%ifarch %arm
cp Build/ArmVirtQemu-ARM/RELEASE_GCC*/FV/QEMU_EFI.fd qemu-uefi-aarch32.bin
%endif #arm
%endif #aarch64
%endif #x86_64
%endif #ix86

%install
rm -rf %{buildroot}
cp %{SOURCE2} README
tr -d '\r' < FatPkg/License.txt > License-fat-driver.txt

# Install BaseTools
install -d %{buildroot}/%{_bindir}
install -m 0755 --strip BaseTools/Source/C/bin/EfiRom %{buildroot}/%{_bindir}

%ifarch %ix86
tr -d '\r' < OvmfPkg/License.txt > License.txt
install -m 0644 -D ovmf-ia32.bin %{buildroot}/%{_datadir}/qemu/ovmf-ia32.bin
install -m 0644 -D ovmf-ia32-code.bin %{buildroot}/%{_datadir}/qemu/ovmf-ia32-code.bin
install -m 0644 -D ovmf-ia32-vars.bin %{buildroot}/%{_datadir}/qemu/ovmf-ia32-vars.bin
%else
%ifarch x86_64
tr -d '\r' < OvmfPkg/License.txt > License.txt
install -m 0644 -D ovmf-x86_64.bin %{buildroot}/%{_datadir}/qemu/ovmf-x86_64.bin
install -m 0644 ovmf-x86_64-*.bin %{buildroot}/%{_datadir}/qemu/
%fdupes %{buildroot}/%{_datadir}/qemu/
# Install debug symbols, gdb-uefi.py
install -d %{buildroot}/%{_datadir}/ovmf-x86_64/
install -m 0644 gdb_uefi-*.py %{buildroot}/%{_datadir}/ovmf-x86_64/
mkdir -p %{buildroot}/usr/lib/debug
mv debug/ovmf-x86_64* %{buildroot}/usr/lib/debug
%fdupes %{buildroot}/usr/lib/debug/ovmf-x86_64*
mkdir -p %{buildroot}/usr/src/debug
mv source/ovmf-x86_64* %{buildroot}/usr/src/debug
%fdupes -s %{buildroot}/usr/src/debug/ovmf-x86_64
%else
%ifarch aarch64
tr -d '\r' < ArmPlatformPkg/License.txt > License.txt
install -m 0644 -D qemu-uefi-aarch64.bin %{buildroot}/%{_datadir}/qemu/qemu-uefi-aarch64.bin
install -m 0644 -D aavmf-aarch64-code.bin %{buildroot}/%{_datadir}/qemu/aavmf-aarch64-code.bin
install -m 0644 -D aavmf-aarch64-vars.bin %{buildroot}/%{_datadir}/qemu/aavmf-aarch64-vars.bin
%else
%ifarch %arm
tr -d '\r' < ArmPlatformPkg/License.txt > License.txt
install -m 0644 -D qemu-uefi-aarch32.bin %{buildroot}/%{_datadir}/qemu/qemu-uefi-aarch32.bin
%endif #arm
%endif #aarch64
%endif #x86_64
%endif #ix86

%files
%defattr(-,root,root)
%doc README

%files tools
%defattr(-,root,root)
%doc BaseTools/UserManuals/EfiRom_Utility_Man_Page.rtf
%{_bindir}/EfiRom

%ifarch %ix86
%files -n qemu-ovmf-ia32
%defattr(-,root,root)
%doc License.txt License-fat-driver.txt 
%dir %{_datadir}/qemu/
%{_datadir}/qemu/ovmf-ia32*.bin
%endif

%ifarch x86_64
%files -n qemu-ovmf-x86_64
%defattr(-,root,root)
%doc License.txt License-fat-driver.txt 
%dir %{_datadir}/qemu/
%{_datadir}/qemu/ovmf-x86_64*.bin

%files -n qemu-ovmf-x86_64-debug
%defattr(-,root,root)
%{_datadir}/ovmf-x86_64/
%dir /usr/lib/debug/
/usr/lib/debug/ovmf-x86_64*
%dir /usr/src/debug/
/usr/src/debug/ovmf-x86_64*
%endif

%ifarch aarch64
%files -n qemu-uefi-aarch64
%defattr(-,root,root)
%doc License.txt License-fat-driver.txt 
%dir %{_datadir}/qemu/
%{_datadir}/qemu/qemu-uefi-aarch64.bin
%{_datadir}/qemu/aavmf-aarch64-code.bin
%{_datadir}/qemu/aavmf-aarch64-vars.bin
%endif

%ifarch %arm
%files -n qemu-uefi-aarch32
%defattr(-,root,root)
%doc License.txt License-fat-driver.txt 
%dir %{_datadir}/qemu/
%{_datadir}/qemu/qemu-uefi-aarch32.bin
%endif

%changelog
* Mon Dec  5 2016 glin@suse.com
- Update openssl to 1.0.2j (bsc#1013603)
  + ovmf-bsc1013603-update-openssl-1.0.2j.patch
  + Update the openssl tarball
* Mon Nov 14 2016 glin@suse.com
- Add ovmf-bsc1009707-drop-too-strict-hd-suffix.path to make
  bootindex work with virtio-blk (bsc#1009707)
* Sat Oct 15 2016 dmueller@suse.com
- add ovmf-aarch64-ArmGicLib-use-correct-loop-variable.patch
  ovmf-aarch64-manage-GICv3-SPI-state-at-the-distr.patch (bsc#1004929)
* Tue Aug 23 2016 glin@suse.com
- Update dbx (2016/08/08) for the MS flavor (bsc#994982)
* Wed Jul 27 2016 glin@suse.com
- Update openssl to 1.0.2h (bsc#990612)
  + Add the patch: ovmf-bsc990612-update-openssl-1.0.2h.patch
  + Update the openssl tarball
- Add ovmf-bsc990773-remove-stale-boot-options.patch to remove the
  stale boot options (bsc#990773)
* Tue Jun 14 2016 glin@suse.com
- Generate the varstore template for AArch64 (bsc#983747,
  bsc#981836)
* Mon Jun  6 2016 jengelh@inai.de
- Keep %%prep minimal to shorten quilt setup run.
  Adjust RPM group. Drop redundant 4th defattr argument.
* Fri Jun  3 2016 glin@suse.com
- Add ovmf-bsc982193-dont-restore-readonly-var.patch and
  ovmf-bsc982193-connect-xen-drivers.patch to fix the file-based
  NvVars restoring. (bsc#982193)
* Tue May 24 2016 glin@suse.com
- Add the commands to remove irrelevant packages in %%prep to make
  sure those source code will never build. (bsc#973038)
* Fri May 20 2016 glin@suse.com
- Add ovmf-bsc980635-fix-http-crash.patch to fix the crash when
  downloading files from the http server (bsc#980635)
* Wed May 11 2016 glin@suse.com
- Update to 2015+git1462940744.321151f
  + BaseTools: Fix bug in GenFds to handle FV image alignment
  + SecurityPkg: SecureBootConfigDxe: Add NULL pointer check
  + OvmfPkg/PciHostBridgeLib: Scan for root bridges when running
    over Xen
  + OvmfPkg/PciHostBridgeLib: Change InitRootBridge prototype
  + MdeModulePkg/PciHostBridgeDxe: Honor ResourceAssigned
  + OvmfPkg/PciHostBridgeLib: Set correct Base/Limit for absent
    resource
  + MdeModulePkg/PciHostBridgeDxe: Fix a Base/Limit comparing bug
  + MdeModulePkg/PciHostBridgeDxe: Don't miss prefetchable MMIO
    aperture
  + ArmVirtPkg: set PcdMaxVariableSize and PcdMaxAuthVariableSize
  + ArmPkg/AArch64Mmu: don't let table entries inherit XN
    permission bits
  + ArmPkg/ArmDmaLib: do not remap arbitrary memory regions as
    uncached
  + ArmPkg/ArmDmaLib: reject consistent DMA mappings of cached
    memory
  + MdeModulePkg/PciSioSerialDxe: Do not flush the UART
  + MdeModulePkg RamDiskDxe: Fix wrong HII behavior for more than 8
    RAM disks
  + OvmfPkg: Modify FDF/DSC files for RamDiskDxe's adding NFIT
    report feature
  + MdeModulePkg RamDiskDxe: Report ACPI NFIT for reserved memory
    RAM disks
  + ArmVirtPkg/ArmVirtQemu: use MdeModulePkg/BDS
  + Ignore BootFileName if it is overloaded (HTTP Boot/PXE)
  + NetworkPkg: Fix a memory leak in HTTP boot driver
  + NetworkPkg/HttpBootDxe: Fix for the issue that the HTTP boot
    option can't be booted more than once
  + deModulePkg NvmExpressDxe: Initialize IoAlign info for an NVMe
    device
  + MdeModulePkg: Refine SNP driver's media status check logic
  + MdeModulePkg: ScsiDiskDxe: cope with broken "Supported VPD Pages"
    VPD page
  + MdeModulePkg FileExplorerLib: Add UefiHiiServicesLib dependency
  + SecurityPkg: SecureBootConfigDxe: Disable SecureBoot
    Enable/Disable in some case
  + Do not use hard coded TTL/ToS in PXE driver
  + NetworkPkg: Use UefiBootManagerLib API to create load option
  + Remove DeployedMode/AuditMode
  + OvmfPkg: Use MdeModulePkg/BDS
  + ArmPlatformPkg/PrePi: allow unicore version to be used on MP
    hardware
  + ArmPkg: implement CpuIo2 protocol driver specific for PCI
  + ArmPlatformPkg: move PCI related PCD definitions to ArmPkg
  + MdeModulePkg/DxeCore: set ImageContext Handle and ImageRead()
    fields
  + MdeModulePkg/PciBusDxe: don't create bogus descriptor if no
    resources needed
  + MdeModulePkg: Add new driver to publish EDKII_PI_SMM_COMMUNICATION_REGION_TABLE
  + SecuritPkg: DxeImageVerificationLib: Fix wrong verification
    logic in DBX & DBT
  + UefiCpuPkg/MtrrLib: Reduce the loop time to get fixed-MTRR MSR
    index
  + MdeModulePkg: PiDxeS3BootScriptLib: honor PcdAcpiS3Enable
  + NetworkPkg: Fix incorrect buffer free in HttpDxe
  + NetworkPkg: Avoid the indefinite wait case in HttpDxe
  + MdeModulePkg: DxeCore MemoryPool Algorithm Update
  + MdeModulePkg: Export ConfigResp only for form Package after
    ReadyToBoot
  + NetworkPkg:HttpDxe:Consume DxeHttpLib API changes
  + MdeModulePkg:DxeHttpLib: Update to DxeHttpLib API
  + NetworkPkg: Allow user to create a HTTP corporate boot option
    in setup page
  + MdePkg:Http11.h: Add defines for "Expect" header
  + BaseTools: Update FMP Capsule support to follow FDF spec
  + OvmfPkg: SataControllerDxe: SataControllerStop: fix use after
    free
  + OvmfPkg: SataControllerDxe: SataControllerStop: remove useless
    null check
  + MdeModulePkg DxeCore: Check free memory type by CoreUpdateProfile()
  + MdeModulePkg/NvmExpress: Fix bug of handling not
    null-terminated strings
  + ShellPkg: Enahance 'dh' command to add more protocols decoding
    support
  + MdeModulePkg/DxeCore: Avoid assertion in CoreLocateProtocol
  + MdeModulePkg: Correct PlatformHookLibSerialPortPpi module type
  + FatPkg: Update License.txt to have the full license text
  + refine codes of iSCSI driver
  + MdeModulePkg DxeCore: Enhance MemoryAttributesTable installation
  + MdeModulePkg DxeCore: Return memory type from internal free
    pool/pages
  + MdeModulePkg DxeCore: Fix a memory leak in
    InstallMemoryAttributesTable()
  + MdeModulePkg DxeCore: Call PeCoffExtraActionLib member after
    Constructor
  + MdeModulePkg/Usb: Fix wrong condition judgment to support
    usb3.1 dev
  + MdeModulePkg/UsbKbDxe: don't assert when the key read is
    invalid
  + BaseTools: Add mixed PCD support feature
  + OvmfPkg: AcpiPlatformDxe: Don't enable unsupported PCI
    attributes
  + MdeModulePkg/HiiDatabaseDxe: Support EfiVarStore to get AltCfg
    from Driver
  + MdeModulePkg/HiiDatabaseDxe: Correct the ReallocatePool size
  + MdeModulePkg/SetupBrowserDxe: Get default from callback for
    orderedList
  + SecurityPkg: AuthVariableLib & SecureBootConfigDxe:
    Fix SecureBootEnable & PK inconsistency issue
  + ShellPkg: Update ping command options to sync with Spec
  + MdeModulePkg NvmExpressDxe: Ensure write-through for NVMe write
    command
  + ShellPkg: Cache the environment variable into memory to enhance
    the performance.
  + BaseTools: Update to handle PE image with .code section only
  + ArmPkg/AArch64Mmu: disable MMU during page table manipulations
  + ArmPkg/AArch64Mmu: Fix XN attribute for device memory
  + NetworkPkg: Fix issue in Ip6Dxe SetData
- The updated tarball includes the PCI host bridge fix for Xen
  (bsc#976253)
- Add ovmf-dxe-10mb.patch to raise DXEFV to 10MB to avoid build
  error.
- Add ovmf-bsc976253-postpone-shell.patch to postpone the creation
  of the shell boot option so that the firmware will try the block
  devices first. (bsc#976253)
- Update README for Xen debugging.
* Thu Apr 21 2016 agraf@suse.com
- Add patch to enable PCI BAR probing on ARM again:
  * ArmVirtPkg-Enable-PCI-bus-probing-again.patch
* Fri Apr 15 2016 glin@suse.com
- Change the fat driver license to the BSD license in FatPkg
  instead of the proprietary license in FatBinPkg since OvmfPkg and
  ArmVirtPkg now use FatPkg (bsc#973038)
* Thu Apr 14 2016 glin@suse.com
- Update to 2015+git1460599637.f70cfe7
  + MdeModulePkg S3SaveStateDxe: Add protocol usage for gEfiLockBoxProtocolGuid
  + ArmVirtPkg/VirtFdtDxe: remove Xenio handling and rename to VirtioFdtDxe
  + ArmVirtPkg/ArmVirtXen: move from VirtFdtDxe to new XenioFdtDxe driver
  + OvmfPkg/XenIoMmioLib: add missing MemoryAllocationLib dependency to INF
  + ArmVirtPkg/VirtFdtDxe: move FDT config table installation to FdtClientDxe
  + ArmVirtPkg/VirtFdtDxe: remove unused PL011 DT node type
  + ArmVirtPkg: get rid of A PRIORI DXE declarations for VirtFdtDxe
  + ArmVirtPkg/VirtFdtDxe: drop RTC handling
  + ArmVirtPkg: move QEMU based platforms to ArmVirtPL031FdtClientLib
  + ArmVirtPkg: implement ArmVirtPL031FdtClientLib
  + ArmVirtPkg/RelocatableVirtHelper: use correct FindMemNode argument order
  + IntelFrameworkModulePkg: Remove unused PCD/Protocol
  + IntelFrameworkModulePkg/KeyboardDxe: Use PCD defined in MdeModulePkg
  + IntelFrameworkModulePkg/Ps2Mouse: Use PCD defined in MdeModulePkg
  + IntelFrameworkModulePkg/Ps2AbsPointer: Use PCD defined in MdeModulePkg
  + IntelFrameworkModulePkg/Ps2Kbd: use PCD/Protocol in MdeModulePkg
  + MdeModulePkg/MdeModulePkg.uni: Add PS2 related PCD description
  + MdeModulePkg/Ps2MouseDxe: Use a different FILE_GUID
  + MdeModulePkg/Ps2KeyboardDxe: Use a different FILE_GUID
  + MdeModulePkg/Ps2Mouse: Fix potential buffer overflow issue.
  + MdeModulePkg: Update Guid/Protocol usages in INF files.
  + ShellPkg: Update Guid/Protocol usages in INF files.
  + SecurityPkg: Update protocol usage in module INF files.
  + MdePkg: Add EFI Erase Block Protocol definitions
  + MdeModulePkg/Ps2MouseDxe: Fix build failure of GCC tool chain
  + ArmVirtPkg/VirtFdtDxe: drop PCI host bridge handling
  + ArmVirtPkg/PciHostBridgeDxe: move to FDT client protocol
  + ArmVirtPkg/BaseCachingPciExpressLib: depend on PciPcdProducerLib
  + ArmVirtPkg: implement FdtPciPcdProducerLib
  + ArmVirtPkg/VirtFdtDxe: remove handling of fw_cfg DT node
  + ArmVirtPkg/QemuFwCfgLib: move to FDT client protocol
  + BaseTools: use unsigned chars on ARM architectures
  + BaseTools: generate hash value in build report for each output EFI image
  + BaseTools/VolInfo: generate HASH value for each PE image
  + ArmVirtPkg/VirtFdtDxe: remove timer DT node handling
  + ArmVirtPkg: move TimerDxe to FDT client library
  + ArmVirtPkg: implement ArmVirtTimerFdtClientLib
  + ArmVirtPkg/VirtFdtDxe: drop detection of PSCI method
  + ArmVirtPkg/ArmVirtPsciResetSystemLib: move to FDT client protocol
  + ArmVirtPkg/VirtFdtDxe: remove GIC discovery
  + ArmVirtPkg/ArmGicArchLib: move to FdtClient protocol
  + ArmVirtPkg: add FdtClientDxe to the ArmVirtPkg platforms
  + ArmVirtPkg/FdtClientDxe: implement new driver
  + ArmVirtPkg: introduce FdtClientProtocol
  + UefiCpuPkg: CpuIo2Dxe: optimize FIFO reads and writes of IO ports
  + MdeModulePkg: Update PerformanceLib instances not to check Identifier.
  + MdePkg: Update PerformanceLib comments not to check Identifier.
  + Update edksetup.bat to check EDK_TOOLS_PATH before set it.
  + MdeModulePkg/Ps2Keyboard: Add missing PCD and protocol to DEC file
  + UefiCpuPkg/CpuMpPei: Fix potential AP mwait wakeup issue
  + NetworkPkg: Add RAM disk boot support to HTTP Boot driver.
  + ShellPkg: Fix Shell ASSERT when mv file with cwd is NULL.
  + MdeModulePkg BootScriptExecutorDxe: Consume PcdAcpiS3Enable to control the code
  + MdeModulePkg SmmS3SaveStateDxe: Consume PcdAcpiS3Enable to control the code
  + MdeModulePkg: Add new macros and refine codes
  + NetworkPkg: Add new macros and refine codes
  + MdeModulePkg: Add Ps2MouseDxe driver
  + MdeModulePkg: Add Ps2KeyboardDxe driver.
  + MdeModulePkg/UefiBootManagerLib: API BmIsValidLoadOptionVariableName
  + SecurityPkg OpalPasswordDxe: Clean up debug message in OpalHii.c
  + SecurityPkg TcgStorageOpalLib: Fix wrong condition judgment.
  + SecurityPkg OpalPasswordDxe: Suppress option for special device.
  + OvmfPkg: remove PciHostBridgeDxe fork
  + OvmfPkg: remove USE_OLD_PCI_HOST build option
  + OvmfPkg: Convert to using FatPkg in the EDK II tree
  + ArmVirtPkg: Convert to build FatPkg from source
  + ArmVirtPkg: drop dependency on PeiPcdLib for PEI Pcd.inf
  + ArmVirtPkg: drop dependency on DxePcdLib for DXE Pcd.inf
  + IntelFrameworkModulePkg AcpiS3SaveDxe: Remove S3Ready() functional code
  + IntelFrameworkModulePkg AcpiS3SaveDxe: Consume PcdAcpiS3Enable to control the code
  + OvmfPkg: Retire AcpiS3SaveDxe
  + MdeModulePkg S3SaveStateDxe: Move S3Ready() functional code from AcpiS3SaveDxe
  + MdeModulePkg S3SaveStateDxe: Consume PcdAcpiS3Enable to control the code
  + OvmfPkg: Install LockBox protocol in constructor of LockBoxDxeLib
  + OvmfPkg: Set PcdAcpiS3Enable according to QemuFwCfgS3Enabled()
  + MdeModulePkg: Introduce new PCD PcdAcpiS3Enable
  + ArmVirtPkg: drop bogus ArmPlatformSecExtraActionLib resolution
  + ArmVirtPkg: remove linux loader from ARM builds
  + Merge 2-clause BSD licensed FatPkg
  + BaseTools: Add support to merge Prebuild and Postbuild into build Process
  + BaseTools: Enhance --Pcd which override by build option
  + MdeModulePkg/Bds: Fix build failures of VS tool chain
  + OvmfPkg: disable PcdHiiOsRuntimeSupport
  + OvmfPkg: remove PcdMaxHardwareErrorVariableSize from the DSC files
  + ArmVirtPkg: include Virtio10Dxe from OvmfPkg
  + OvmfPkg: include Virtio10Dxe
  + OvmfPkg: Virtio10Dxe: non-transitional driver for virtio-1.0 PCI devices
  + OvmfPkg: VirtioNetDxe: adapt virtio-net packet header size to virtio-1.0
  + OvmfPkg: VirtioScsiDxe: adapt feature negotiation to virtio-1.0
  + OvmfPkg: VirtioRngDxe: adapt feature negotiation to virtio-1.0
  + OvmfPkg: VirtioNetDxe: adapt feature negotiation to virtio-1.0
  + OvmfPkg: VirtioBlkDxe: adapt feature negotiation to virtio-1.0
  + OvmfPkg: VirtioLib: add Virtio10WriteFeatures() function
  + OvmfPkg: IndustryStandard: add definitions from the VirtIo 1.0 spec
  + OvmfPkg: IndustryStandard: factor out Virtio095Net.h
  + OvmfPkg: IndustryStandard: factor out Virtio095.h
  + OvmfPkg: VirtioRngDxe: clear all feature bits more explicitly
  + OvmfPkg: VirtioBlkDxe: don't clear non-negotiable feature bits
  + OvmfPkg: VIRTIO_DEVICE_PROTOCOL: pass VRING object to SetQueueAddress()
  + OvmfPkg: VIRTIO_DEVICE_PROTOCOL: remove GetQueueAddress() member
  + OvmfPkg: VIRTIO_DEVICE_PROTOCOL: widen the Features bitmap to 64 bits
  + MdeModulePkg/Bds: Fix a boot hang due to Ram Disk boot support
  + BaseTools: cache the defined Guid tool to improve the performance
  + MdeModulePkg/Bds: Memory Bins don't count the memory used by RAM Disk
  + MdeModulePkg/Bds: Free resources after ram disk boot finishes
  + MdeModulePkg/Bds: Allocate reserved memory for RAM Disk boot media
  + SecurityPkg OpalPasswordSupportLib: Add comments for the used protocol in inf file.
  + SecurityPkg OpalPasswordSupportLib: Remove the hard code debug build option.
  + SecurityPkg OpalPasswordSupportLib: Fixed gcc build failure.
  + SecurityPkg TcgStorageOpalLib: Fixed gcc build failure.
  + SecurityPkg OpalPasswordDxe: Check the pointer before use it.
  + SecurityPkg TcgStorageOpalLib: Remove the hard code debug build option.
  + SecurityPkg OpalPasswordDxe: Remove the hard code debug build option.
  + SecurityPkg OpalPasswordSmm: Remove the hard code build option.
  + MdePkg Cper.h: Add missing structure for 'Processor Error Record'
  + SourceLevelDebugPkg/SmmDebugAgent: mMailboxPointer is used before set
  + MdePkg/MdePkg.uni: Add description for PcdUartDefaultReceiveFifoDepth
  + MdePkg/BaseSynchronizationLib: Add spin lock alignment for IA32/x64
  + MdePkg/BaseSynchronizationLib: Do not check timeout if lock released
  + BaseTools/GenFds: Fix the bug for wrong alignment generate for RAW file
  + MdeModulePkg/UiApp: Correct the total RAM calculation
  + IntelFrameworkModulePkg/Bds: Correct the total RAM calculation
  + MdeModulePkg: DxeUdpIoLib: fix non-empty payload path in UDP reception
  + OvmfPkg: Add RAM disk support
  + ArmPkg/ArmArchTimerLib: correct typos
  + ArmPkg/ArmArchTimerLib: fix unused variable in RELEASE builds
  + EmbeddedPkg/AcpiLib: fix SBSA Generic Watchdog helper definition
  + ArmPlatformPkg: Add PCD for Pl011 UART Interrupt
  + MdePkg: Add ARM Serial Port Subtypes to DBG2
  + MdePkg: Add ARM Serial Port Subtype definitions
  + ArmVirtPkg: disable PcdHiiOsRuntimeSupport
  + ArmPkg/ArmArchTimerLib: add GetTimeInNanoSecond() to ArmArchTimerLib
  + ArmPkg/ArchArmTimerLib: refactor MultU64xN and TimerFreq definitions
  + NetworkPkg: Check received packet size before use it.
  + MdeModulePkg: Check received packet size before use it.
  + NetworkPkg: Check pointer for NULL before use.
  + Revert "TerminalDxe: select the UART's default receive FIFO depth"
  + ArmVirtPkg/ArmVirtQemu: gate FDT config table install with build option
  + ArmVirtPkg/VirtFdtDxe: make installation of FDT as config table optional
  + MdeModulePkg RamDiskDxe: Fix incorrect RAM disk memory address calculation
  + MdeModulePkg EmmcDxe: Fix GCC build failure with set but unused variables
  + SecurityPkg: Tcg2Dxe: Fix undersized TempBuf
  + MdeModulePkg/UefiBootManagerLib: BmGetActiveConsoleIn code cleanup
  + MdeModulePkg/SdMmc: Add EDKII SD/MMC stack
  + MdePkg/IndustryStandard: Add SD/EMMC common definitions
  + MdePkg/DevicePath: Add EMMC device path definition
  + MdePkg: Add EFI_SD_MMC_PASS_THRU_PROTOCOL definition
  + UefiCpuPkg/Cpuid.h: Display Intel SGX Resource Enumeration Leaves
  + UefiCpuPkg/Cpuid.h: Add CPUID defines and structures for Intel SGX
  + ShellPkg: Refine the comparisons code in ShellPkg.
  + MdeModulePkg PartitionDxe: Add Re-entry handling logic for BindingStop
  + SecurityPkg: Enable Opal password solution build.
  + SecurityPkg: OpalPasswordSmm: Add Opal password Smm driver.
  + SecurityPkg: OpalPasswordDxe: Add Opal password dxe driver.
  + SecurityPkg: OpalPasswordSupportLib: Add Opal password support library.
  + SecurityPkg: TcgStorageOpalLib: Add TCG storage opal library.
  + SecurityPkg: TcgStorageCoreLib: Add TCG storage core library.
  + MdePkg: Add definition for TCG Storage Core and Opal specs.
  + BaseTools: Add two new sections for PCD in the build report
  + MdeModulePkg/SerialDxe: Set FIFO depth with PCD
  + MdePkg: Add PCD for UART default receive FIFO depth
  + MdeModulePkg DiskIoDxe: Media status check not be done at DiskIo level
  + MdeModulePkg PartitionDxe: Some ISO images cannot be recognized properly
  + MdeModulePkg ScsiDiskDxe: Fix hang issue when reconnecting an ISCSI device
  + PcAtChipsetPkg/PciHostBridge: Remove PciHostBridge driver
  + ShellPkg/UefiDpLib: Fix a memory leak issue in Dp.
  + PerformancePkg/Dp_App: Fix a memory leak issue in Dp.
  + BaseTools: Remove the unnecessary check for RAW File
  + BaseTools: generate alignment when the FV content come from the filesystem
  + BaseTools: Extend the RAW format to support multiple binary files
  + ShellPkg AARCH64: remove DEBUG BuildOptions override
  + BaseTools AARCH64: move DEBUG GCC49 to the small code model
  + OvmfPkg: Increase the maximum size for Authenticated variables
  + BaseTools/GCC: set -Wno-unused-but-set-variables only on RELEASE builds
  + UefiCpuPkg: CpuMpPei: remove set but unused variables
  + UefiCpuPkg: PiSmmCpuDxeSmm: remove set but unused variables
  + UefiCpuPkg/MtrrLib: remove unused but set variable
  + NetworkPkg: IpSecDxe: remove set but unused variables
  + MdeModulePkg: DeviceManagerUiLib: remove set but unused variables
  + MdeModulePkg: BootMaintenanceManagerUiLib: remove set but unused variables
  + MdeModulePkg: UfsPassThruDxe: remove set but unused variables
  + MdeModulePkg: BootManagerMenuApp: remove set but unused variables
  + MdeModulePkg/PciHostBridgeDxe: remove unused but set variables
  + IntelFspWrapperPkg: PeiFspHobProcessLibSample: remove set but unused variables
  + IntelFrameworkModulePkg: LegacyBootMaintUiLib: remove set but unused variables
  + IntelFrameworkModulePkg: DxeCapsuleLib: remove set but unused variables
  + IntelFrameworkModulePkg: BiosVideo: remove set but unused variable
  + EmulatorPkg: CpuRuntimeDxe: remove set but unused variables
  + EdkCompatibilityPkg: SmmBaseHelper: remove set but unused variables
  + EdkCompatibilityPkg: EdkIIGlueLib: remove set but unused variables
  + EdkCompatibilityPkg: BsSerialStatusCode: remove set but unused variable
  + EdkCompatibilityPkg: UefiEfiIfrSupportLib: remove set but not used variables
  + ArmPkg|EmbeddedPkg: make PcdCpuVectorBaseAddress 64 bits wide
  + ArmPlatformPkg: fixups for 64-bit pointers
  + ArmPkg: apply Cortex-A57 errata
  + NetworkPkg:Fix bug when parsing the dhcp6 option 16
  + NetworkPkg:Fix Http boot download issue.
  + ShellPkg/UefiHandleParsingLib: Fix GUID reference
  + BaseTools: Updated BuildNotes URLs
  + MdeModulePkg/RamDiskDxe: Fix typo in HII message
  + SecurityPkg/SecureBootConfigDxe: Remove type casting from the ChooseFile handlers
  + SecurityPkg/SecureBootConfigDxe: Declare EFIAPI for the ChooseFile handlers
  + ShellPkg/UefiShellDebug1CommandsLib: remove unused but set variable
  + MdeModulePkg/PciBus: Should reserve enough bus number for HPC
  + MdeModulePkg/Bds: Fix VS2012 build failure.
  + ShellPkg: Modify the 'dh' Shell command to dump the Firmware Management Protocol Image Descriptor Information.
  + MdePkg: Move SMBIOS data into the IndustryStandard header.
  + ShellPkg: Make the USB mouse behavior in 'edit' consistent with 'hexedit'.
  + NetworkPkg: Fix HII related problem in HTTP boot driver.
  + MdeModulePkg/FileExplorerLib.h: Remove the redefinition of typedefs
  + OvmfPkg: PciHostBridgeLib: install 64-bit PCI host aperture
  + OvmfPkg: PlatformPei: determine the 64-bit PCI host aperture for X64 DXE
  + OvmfPkg: PlatformPei: factor out GetFirstNonAddress()
  + OvmfPkg: AcpiPlatformDxe: enable PCI IO and MMIO while fetching QEMU tables
  + OvmfPkg: AcpiPlatformDxe: when PCI is enabled, wait for Platform BDS's cue
  + ArmVirtPkg: PlatformIntelBdsLib: signal gRootBridgesConnectedEventGroupGuid
  + OvmfPkg: PlatformBdsLib: signal gRootBridgesConnectedEventGroupGuid
  + OvmfPkg: introduce gRootBridgesConnectedEventGroupGuid
  + OvmfPkg: OvmfPkg.dec: add horizontal whitespace under Guids and Protocols
  + OvmfPkg/PlatformBdsLib: rebase to EfiEventGroupSignal
  + ArmVirtPkg/PlatformIntelBdsLib: rebase to EfiEventGroupSignal
  + IntelFrameworkPkg/FrameworkUefiLib: implement EfiEventGroupSignal
  + IntelFrameworkPkg/FrameworkUefiLib: move InternalEmptyFunction to UefiLib.c
  + MdePkg/UefiLib: introduce EfiEventGroupSignal
  + MdePkg/UefiLib: move InternalEmptyFunction to UefiLib.c
  + BaseTools: not include the undefined macro in response file
  + MdeModulePkg/BootMaintenanceManagerUiLib: Remove type casting in ChooseFile
  + MdeModulePkg/BootMaintManagerUiLib: Declare EFIAPI for ChooseFile handler
  + MdeModulePkg RamDiskDxe: Remove unnecessary TPL raise operations
  + MdeModulePkg RamDiskDxe: Uninstall DEVICE_PATH_PROTOCOL with correct param
  + MdeModulePkg RamDiskDxe: Remove unnecessary 'DisconnectController' calls
  + MdeModulePkg/Bds: BDS hotkey shouldn't work on inactive consoles
  + ArmPkg/AArch64Mmu: use correct AP[] bits in ArmClearMemoryRegionReadOnly
  + ArmPkg/ArmExceptionLib: reimplement register stack/unstack routines
  + ArmPkg/ArmExceptionLib: avoid indirect call if using vector table in place
  + ArmPkg/ArmExceptionLib: make build time define visible to the compiler
  + ArmPkg/ArmExceptionLib: don't restore ESR and FAR upon exception return
  + ArmPkg/ArmExceptionLib: stack FPSR on common path
  + ArmPkg/ArmExceptionLib: fold exception handler prologue into vector table
  + ArmPkg/AsmMacroIoLibV8: remove undocumented assumption from ELx macros
  + BaseTools: Fix nmake failure due to command-line length limitation
  + MdePkg/Pci22.h: Fix a coding style issue
  + MdeModulePkg DxeCore: Address boundary check for Type AllocateAddress
  + MdeModulePkg DxeCore: Check Start consistently in CoreConvertPagesEx
  + OvmfPkg/PlatformPei: suppress wrong VS2008 warning (use of uninited local)
  + MdeModulePkg PlatformVarCleanupLib: Locate VarCheck protocol when using
  + ArmPkg: update CpuDxe to use CpuExceptionHandlerLib
  + ArmVirtPkg/ArmVirtQemu: move to ARM version of CpuExceptionHandlerLib
  + ShellPkg: Remove the unused local variable.
  + MdeModulePkg: Fixed incorrect return value of MatchString
  + MdeModulePkg: ConSplitterDxe: use U64 mult/div wrappers in AbsPtr scaling
  + ArmPkg: ARM/AArch64 implementation of CpuExceptionHandlerLib
  + ArmPkg/ArmLib: add ArmReadHcr to enable read-modify-write of HCR
  + MdeModulePkg: Rescale ConSplitter Absolute Pointer.
  + ShellPkg: Per UEFI Shell 2.2 SPEC to make Shell supports 'NoNesting'.
  + NetworkPkg: Fix the driver model issue in HTTP Boot driver.
  + MdeModulePkg: Coding style update for DxeHttpLib.inf
  + IntelFrameworkModulePkg/LegacyBootMaintUiLib: Refine the code
  + MdeModulePkg: Refine the UI code
  + MdeModulePkg/DriverSampleDxe: Uninstall the ConfigAccess protocol
  + BaseTools: add new command line option to support override PCD value
- The fix for bsc#973625 is also included in the update tarball
- Remove upstreamed patches:
  ovmf-fix-choose-handlers-crash.patch
  ovmf-fix-httpboot-driver-option-16.patch
  ovmf-fix-httpboot-driver-model.patch
* Fri Apr  1 2016 glin@suse.com
- Add ovmf-fix-httpboot-driver-option-16.patch to fix the parsing
  of DHCPv6 option 16
* Wed Mar 23 2016 glin@suse.com
- Add ovmf-fix-choose-handlers-crash.patch to fix the crash while
  selecting files from BootMaintenanceManager and SecureBootConfig
* Wed Mar 16 2016 glin@suse.com
- Update to 2015+git1458029440.db27e9f
  + OvmfPkg/LegacyRegion: Support legacy region manipulation of Q35
  + CryptoPkg: Fix the potential system hang issue
  + CryptoPkg/OpensslLib: Upgrade OpenSSL version to 1.0.2g
  + ArmVirtPkg/VirtFdtDxe: set /chosen/linux,pci-probe-only to 1
    in DTB
  + OvmfPkg: match PCI config access to machine type
    (if not USE_OLD_PCI_HOST)
  + OvmfPkg: add DxePciLibI440FxQ35
  + OvmfPkg: Enable Network2 Shell Commands for IPv6
  + MdeModulePkg AcpiTableDxe: Use Rsdt to check against NULL
  + MdePkg: Fix ACPI NFIT GUID definitions
  + NetworkPkg: Add URI configuration form to HTTP boot driver
  + CryptoPkg/OpensslLib: Switch to upstream fix for OpenSSL
    RT#3628, RT#3674, RT#3951, RT#3955, RT#3964, RT#3969, RT#3992,
    RT#4175, RT#4310
  + CryptoPkg/OpensslLib: Include complete copy of opensslconf.h
  + SecurityPkg/SecureBootConfigDxe: Handle allocation failure
    gracefully
  + MdeModulePkg/Bds: Support booting from remote file system
  + MdeModulePkg/Bds: Wide match HTTP boot option
  + MdeModulePkg: Fix IPv4 double free
  + UefiCpuPkg: Add dynamic type for PcdCpuMaxLogicalProcessorNumber
  + ArmPkg: Configure TTBCR register
  + OvmfPkg: switch to MdeModulePkg/Bus/Pci/PciHostBridgeDxe
  + MdeModulePkg: PciHostBridgeDxe: don't assume extended config
    space
  + ShellPkg: Update 'ifconfig -r' implementation
  + NetworkPkg: Change the default IPv6 config policy
  + MdeModulePkg: Change the default IPv4 config policy
  + OvmfPkg: copy log level comments from DebugLib.h
  + ArmVirtPkg: sync log level comments to DebugLib.h
  + MdeModulePkg: DxeCore: fully initialize image context before
    passing it on
  + MdeModulePkg/NvmExpress: Fix uninitialized field used in NVMe
    DiskInfo
  + MdeModulePkg: Add new API HttpUrlGetPath() to HttpLib.h
  + MdeModulePkg: Add RamDiskDxe driver implementation
  + SecurityPkg: Tcg2Smm: Change TPM2.0 MMIO range attribute
  + MdeModulePkg:Fix a robustness issue of Mnp Driver
  + MdeModulePkg: RegularExpressionDxe: support free(NULL)
  + MdeModulePkg/PciHostBridge: Don't assume resources are fully
    NonExistent
  + SecurityPkg: Use FileExplorerLib in SecureBootConfigDxe
  + MdeModulePkg: Add ASSERT to make sure pointer 'OptionalData'
    not be NULL
  + MdeModulePkg: Add ASSERT to make sure pointer 'MemoryMap' is
    not NULL
- Update openssl to 1.0.2g
- Add ovmf-fix-httpboot-driver-model.patch to fix the crash caused
  by the httpboot driver.
* Wed Mar  2 2016 glin@suse.com
- Add ovmf-tools to package EfiRom (FATE#319531)
* Fri Feb 26 2016 glin@suse.com
- Update to 2015+git1456452471.ba33c80
  + CryptoPkg: RuntimeCryptLib: support realloc(NULL, size)
  + CryptoPkg: support free(NULL)
  + MdePkg: Add EFI RAM Disk Protocol definitions
  + MdePkg: Update Http11 with additional useful definitions
  + NetworkPkg: Use Http11 definitions in HttpDxe and HttpBootDxe
  + Add new HII action type EFI_BROWSER_ACTION_SUBMITTED
  + UefiCpuPkg/Cpuid: Add UEFI CPUID application
  + BaseTools/tools_def.txt: Add -march=i586 for IA32 GCC targets
  + MdeModulePkg: Fix Memory Attributes table type issue
  + MdePkg: Add definition for new warning code
    EFI_WARN_FILE_SYSTEM
  + OvmfPkg: add driver for Virtio-RNG device
  + ArmVirtPkg: ArmVirtQemu: add driver for Virtio-RNG device
  + OvmfPkg: implement UEFI driver for Virtio RNG devices
  + OvmfPkg: VirtioFlush(): return the number of bytes written by
    the host
  + ArmPlatformPkg/IntelBds: call BdsLibConnectAll()
  + ArmVirtPkg/ArmVirtQemu: limit ACPI support to v5.0 and higher
  + MdeModulePkg: AcpiTableDxe: make 4 GB table allocation limit
    optional
  + ShellPkg: Support finding help message embedded in resource
    section
  + MdeModulePkg/UsbBusDxe: Fix memory leak
  + MdePkg: BaseLib: fix AArch64 DAIF interrupt mask definitions
  + ArmPkg: CpuDxe: don't track interrupt state in a global
    variable
  + ArmPkg: CpuDxe: fix AArch64 interrupt read masks
  + MdeModulePkg: Refine the code in BootMaintenanceManagerUiLib
  + MdeModulePkg: HiiDatabaseDxe: HiiStringToImage() should not
    overwrite BltX
  + CryptoPkg/OpensslLib: Upgrade OpenSSL version to 1.0.2f
  + UefiCpuPkg/PiSmmCpuDxeSmm: Enable/Restore XD in SMM
  + UefiCpuPkg/PiSmmCpuDxeSmm: Add EFIAPI to CheckFeatureSupported()
  + ArmVirtPkg: ArmVirtQemu: make ACPI support AARCH64 only
  + SecurityPkg: TcgConfigDxe: Move TPM state string update to
    CallBack function
  + MdePkg: Fix incorrect PCIe Extended Capabilities definition
  + MdeModulePkg/Partition: Use proper partition number for MBR
  + MdePkg: Change PcdPropertiesTableEnable default value to FALSE
  + ArmVirtPkg: ArmVirtQemu: expose only 64-bit entry point for
    v3.0+ SMBIOS
  + NetworkPkg: Replace the internal function with exposed one
  + MdeModulePkg: Define a general function to create DNS QName
  + MdePkg: Add invocation register support in SMM Communication
    ACPI Table
  + MdeModulePkg: SNP should check Cdb.StatCode with
    PXE_STATCODE_SUCCESS
  + MdeModulePkg: Make the DEBUG info consistent in SNP driver
  + Add UEFI2.6 MemoryAttributes Table
  + OvmfPkg: simplify VARIABLE_STORE_HEADER generation
  + Minor comments update to AllocatePages() and AllocatePool()
  + MdeModulePkg DxeCore: Missing change for OEM reserved memory
    type at R17460
  + ArmPkg: DefaultExceptionHandler fixes for use with DxeCore
  + BaseTools/GenFw AARCH64: add support for relative data
    relocations
- Update openssl to 1.0.2f
  Feb 15 09:17:12 UTC 2016 - glin@suse.com
- edk2 upstream switched the repo from svn to git, so the naming
  has to change to use the git hash. The most recent stable release
  of edk2 is UDK 2015, so the base version changes to 2015.
- update to ovmf-2015+git1454310736.ed5e386
  + MdePkg: Update the UEFI version to reflect new revision
  + MdePkg: Add EFI Supplicant Protocol definitions
  + MdePkg: Add EFI Wireless MAC Connection II Protocol definitions
  + MdePkg: Add ACPI6.1 definition
  + NetworkPkg: better sanity check on Ipv6 prefix length
  + NetworkPkg: Reword PXE download message
  + ShellPkg: ShellFileHandleReadLine must return UCS2 lines
  + ArmPlatformPkg/Bds: Early Console Initialization
  + ShellBinPkg: Arm/AArch64 Shell binary update
  + ShellPkg: Fix ASCII and UNICODE file pipes
  + ArmVirtPkg: implement ArmVirtQemuKernel
  + ArmVirtPkg: introduce new ArmQemuRelocatablePlatformLib
  + MdeModulePkg: Update DxeCore dispatcher to ignore PEI and SMM
    depex for FV
  + ArmPkg: Add isb when setting SCR
  + MdeModulePkg/PcRtc: Still create timezone variable when
    Daylight != 0
  + MdeModulePkg/UsbAbsPointer:Fix GetState() to return absolute
    value
  + MdeModulePkg: Correct one return status code in SNP Transmit
    function
  + MdeModulePkg: Update the default size of MNP TX buffer pool
  + MdeModulePkg: Update DBsize in SNP GetStatus command
  + NetworkPkg:Add a new error status code EFI_HTTP_ERROR
  + MdePkg:Add a new error status code EFI_HTTP_ERROR
  + NetworkPkg: Fix suspicious dereference of pointer 'Mode.Ia'
  + OvmfPkg: QemuBootOrderLib: recognize NVMe devices
  + OvmfPkg: include NvmExpressDxe driver
  + SecurityPkg: AuthVariableLib: Add new cert database for
    volatile time based Auth variable
  + MdeModulePkg: Add BS+RT+AT variable attribute definition
  + MdePkg: Add new enum EfiPlatformConfigurationActionUnsupportedGuid
  + PcAtChipsetPkg/Rtc: Don't unnecessarily create timezone
    variable
  + Correct inconsistent function descriptions in DNS
  + OvmfPkg: Increase default RELEASE build image size to 2MB
  + Minor update to the Data parameter for GetVariable()
  + MdeModulePkg: NvmExpressDxe: clean up NvmeRead() / NvmeWrite()
    debug msgs
  + MdePkg:Add new traffic statistics definition for Wireless NIC
  + NetworkPkg:Fix Network memory leak when calling GetModeData
    interface
  + SecurityPkg: Correct data copy in Tpm2NvReadPublic
  + SecurityPkg: Add TPM PTP detection in Tpm12SubmitCommand
  + MdeModulePkg DxeCore: Avoid the closed event to be signaled
    wrongly
  + SecurityPkg: SecureBootConfigDxe: Fix potential NULL pointer
    dereference
  + CryptoPkg: Fix function qsort for non 32-bit machines
- update _service to fetch git repo
* Tue Jan 26 2016 glin@suse.com
- update to R19743
  + NetworkPkg: Removing or adding some ASSERT statement
  + MdeModulePkg:Fix the potential memory leak issue in Display
    Engine
  + MdeModulePkg: Add error DEBUG statements in ATA passthru driver
  + NetworkPkg: DnsDxe: fix return type of DnsFillinQNameForQueryIp()
  + MdeModulePkg/Ide: return correct status when DRQ is not ready
    for ATAPI
  + MdeModulePkg/ScsiDisk: Increase the value of SCSI_DISK_TIMEOUT
    to 30s
  + OvmfPkg: inherit Image Verification Policy defaults from
    SecurityPkg
  + OvmfPkg: execute option ROM images regardless of Secure Boot
  + Rename TisTpmCommand to avoid name collision
  + MdeModulePkg: update SNP.GetStatus to handle multiple recycled
    TX buffer.
  + MdeModulePkg: Update MNP driver to recycle TX buffer
    asynchronously.
  + Refine error handle code, avoid assert when load this module
    twice.
  + MdeModulePkg: DeleteLoadOptionVariable() removes Boot####
  + MdeModulePkg: Fix GraphicsConsole driver resolution out of
    sync issue
  + SecurityPkg: MOR drivers use Tcg2Protocol instead of TrEE.
  + SecurityPkg: Add Tpm2Startup return code check.
  + SecurityPkg: Clear AuthSession content after use.
  + BaseTools/VfrCompile: honor CC if it is set
  + BaseTools AARCH64: add separate GCC build rule for XIP objects
  + BaseTools AARCH64: build XIP modules with strict alignment
  + SecurityPkg: TcgDxe,Tcg2Dxe,TrEEDxe: New PCD for TCG event log
    and TCG2 final event log area
  + NetworkPkg: Fix some typos in Http boot driver.
  + MdeModulePkg: Add DNS QType and QClass values definition
  + NetworkPkg: Remove DNS QType and QClass definition
  + SecurityPkg: SecureBootConfigDxe: Change
    KEY_TRANS_SECURE_BOOT_MODE value
  + SecurityPkg: SecureBootConfigDxe: Enhance secure boot string
    update logic
  + MdeModulePkg:Fix the potential memory leak issue in Display
    Engine
  + ShellPkg: Update 'dh' command to reflect correct driver handle
    information
  + NetworkPkg: Fix IpSec SPD and SAD mapping issue when SPD is
    updated
  + NetworkPkg: Fix SPD entry edit policy issue in IPSecConfig.
  + MdeModulePkg: Add new library class PciHostBridgeLib
  + MdeModulePkg: Add PciHostBridgeLibNull
  + MdePkg: Add PciSegmentLib instance based on PciLib
  + MdeModulePkg: Add generic PciHostBridgeDxe driver.
  + Add NOOPT target
  + ShellPkg UefiDpLib: Use Image->FilePath to get name for SMM
    drivers
  + MdeModulePkg/.../IdeMode: actualize DRQReady*() comment blocks
  + MdeModulePkg/.../IdeMode: report early finish of packet read
    as success
  + MdeModulePkg: SerialDxe: lay out mSerialIoMode initializer more
    nicely
  + MdeModulePkg: SerialDxe: sync EFI_SERIAL_IO_MODE.Timeout with
    the spec
  + MdeModulePkg: TerminalDxe: select the UART's default receive
    FIFO depth
  + BaseTools: make build report tolerant of FVs specified by name
  + Replace TpmCommLib with Tpm12DeviceLib
  + Add TPM 1.2 commands used by TCG modules
  + SecurityPkg: Update TCG PPI "1.3" for TCG2.
  + Add TPM PTP support
- Remove upstreamed ovmf-fix-signedness.patch
* Wed Jan  6 2016 glin@suse.com
- update to R19584
  + NetworkPkg: Support DNS4/6 GeneralLookUp feature
  + SecurityPkg AuthVariableLib: Correct comment/error log about
    CleanCertsFromDb
  + NetworkPkg: Fix suspicious dereference of pointer before NULL
    check
  + NetworkPkg: Update module inf to include the missing uni file
  + NetworkPkg: Remove a CopyMem to speed up the HTTP boot download
  + NetworkPkg: Remove unused EFI_HTTP_PROTOCOL definition
  + MdePkg : Update SPCR to use ACPI5 definition
  + MdeModulePkg ScsiDiskDxe: Raise the Tpl of async IO callback
    to TPL_NOTIFY
  + ScsiDiskDxe: Close event when SCSI command fails
  + MdeModulePkg ScsiBusDxe: Only signal caller event when
    PassThru() succeeds
  + MdeModulePkg DiskIoDxe: Check for MediaPresent in
    DiskIo2ReadWriteDisk()
  + MdeModulePkg ScsiDiskDxe: Modify WriteBlocks(Ex)() to follow
    UEFI spec
  + MdeModulePkg ScsiDiskDxe: Modify FlushBlocksEx() to follow UEFI
    spec
  + MdeModulePkg ScsiDiskDxe: Set block I/O media of SCSI CDROM to
    read-only
  + PcAtChipsetPkg/Rtc: Fix a UEFI Win7 boot hang issue
  + MdeModulePkg:Clear the screen before booting the boot option
  + NetworkPkg : Remove unused local variables to fix gcc build
    errors
  + MdePkg: Add HTTP 1.1 industry standard definitions
  + SecurityPkg: SecureBootConfigDxe: Remove useless code in VFR
  + NetworkPkg:Fix a bug the 2nd httpboot fail issue
  + NetworkPkg: Update iSCSI driver to check existing AIP instances
  + UefiCpuPkg/CpuMpPei: Fix pack(1) issue on x64 arch
  + MdeModulePkg:Fix bug that get the password width info
    incorrectly
  + NetworkPkg:Fix the issue Http boot hang when network failed
  + DxeTpmMeasureBootLib: Change global variable name to avoid
    name conflict
  + ArmVirtPkg/ArmVirtXen: add ARM support
  + ArmVirtPkg/XenRelocatablePlatformLib: rewrite DTB memory node
    retrieval in C
  + OvfmPkg/XenHypercallLib: add missing GCC_ASM_EXPORT to
    XenHypercall2
  + Shell update
  + MdeModulePkg:Fix a bug HttpLib can't parse last chunked data
    well
  + MdeModulePkg/PciSioSerialDxe:add non-null pointer dereference
    assertion
  + ArmPkg: rewrite vector table population macros
  + BootManagerLib: Check the pointer to avoid use NULL pointer
  + MdeModulePkg: Fix RegularExpressionDxe memcpy intrinsic
- Add ovmf-fix-signedness.patch to fix the build error
* Wed Dec 16 2015 glin@suse.com
- Update R19289
  + MdePkg: Add missing SMBIOS definitions for SATA and SAS Ports
  + MdePkg: Add GIC version to ACPI 5.1/6 definitions
  + MdePkg: Add Ipmi2.0 definitions head file
  + MdeModulePkg: Add NULL pointer check for RegularExpressionDxe
  + Convert all .uni files to utf-8
  + BaseTools/Scripts: Add ConvertUni.py script
  + Fix >4G issue on IDT not restored correctly
  + MdeModulePkg: Improved SetupBrowser handling to failed GOTO
    callback
  + ArmPlatformPkg/Sec: fix return_from_exception code and comment
  + ArmPlatformPkg/ArmPlatformLibNull: use declared PPI rather than
    module local var
  + ArmVirtPkg RVCT: build DXE_RUNTIME_DRIVER modules with 4 KB
    alignment
  + BaseTools/GenFw RVCT: fix relocation processing of PT_DYNAMIC
    sections
  + BaseTools RVCT: use scatter file to enforce minimum section
    alignment
  + MdePkg/BaseIoLibIntrinsic: Add EBC support
  + MdePkg: Add 3 macro defined in latest TPM2 specification
  + ShellPkg: Initialize the local pointer to avoid potential
    suspicious dereference
  + CryptoPkg/OpensslLib: upgrade OpenSSL version to 1.0.2e
  + MdeModulePkg ScsiDiskDxe: Add BlockIO2 Support
  + MdePkg UefiScsiLib: Add non-blocking support for SCSI
    Read/Write command
  + NetworkPkg: Fix the potential NULL pointer dereferenced issue
  + ShellPkg: Make 'dh' support showing all spec defined protocols
  + BaseTools GCC: avoid the use of COMMON symbols
  + ArmPkg/PrePeiCore: adhere to architectural stack alignment
    requirement
  + UefiCpuPkg/MtrrLib: Add PCD PcdCpuNumberOfReservedVariableMtrrs
  + ArmPkg/BdsLib: Send RemainingDevicePath to PXE Load File
    protocol
  + CryptoPkg/BaseCryptLib: make mVirtualAddressChangeEvent STATIC
  + CryptoPkg ARM: add ArmSoftFloatLib resolution to CryptoPkg.dsc
  + SecurityPkg: AuthVariableLib: Customized SecureBoot Mode
    transition
  + MdePkg: DebugAssert enhancement
  + ArmVirtPkg: HighMemDxe: add memory space for the high memory
    nodes
  + ArmVirtPkg: ArmVirtPlatformLib: find the lowest memory node
- Update openssl to 1.0.2e
- Update ovmf-embed-default-keys.patch to include one more db key
- Add MicWinProPCA2011_2011-10-19.crt, the Windows Product key
* Fri Dec  4 2015 glin@suse.com
- Update to R19110
  + ShellPkg: Fix wrong return status for Ifconfig.c
  + OvmfPkg: pull in SMM-based variable driver stack
  + OvmfPkg: any AP in SMM should not wait for the BSP for more
    than 100 ms
  + OvmfPkg: use relaxed AP SMM synchronization mode
  + OvmfPkg: SmmCpuFeaturesLib: implement SMRAM state save map
    access
  + OvmfPkg: import SmmCpuFeaturesLib from UefiCpuPkg
  + OvmfPkg: set gUefiCpuPkgTokenSpaceGuid.PcdCpuSmmEnableBspElection
    to FALSE
  + OvmfPkg: LockBox: use SMM stack with -D SMM_REQUIRE
  + OvmfPkg: introduce -D SMM_REQUIRE and PcdSmmSmramRequire
  + ArmVirtPkg: add secure boot support to 32-bit ARM targets
  + MdeModulePkg/BDS: Do not pass unnecessary option to boot option
  + NetworkPkg: Fix a bug in HttpBootDriverBindingStop() when
    destroying child
  + ArmPlatformPkg/PrePiHobListPointerLib: use thread ID register
  + ArmPlatformPkg/PrePeiCore: add missing entries to AArch64
    vector table
- Refresh ovmf-gdb-symbols.patch
- Run fdupes on /usr/share/qemu
* Fri Nov 27 2015 glin@suse.com
- Update to R18975
  + ArmVirtPkg: Use SerialDxe in MdeModulePkg instead of
    EmbeddedPkg
  + OvmfPkg XenConsoleSerialPortLib: Implement
    Get(Set)Control/SetAttributes
  + NetworkPkg:Fix NULL pointer dereference issues
  + Always set WP in CR0
  + ArmPkg/UncachedMemoryAllocationLib: fix warning about
    uninitialized local var
  + UefiCpuPkg/CpuS3DataDxe: Add module to initialize ACPI_CPU_DATA
    for S3
  + Move CommunicationBuffer from stack to global variable
  + Move SmmDebug feature from ASM to C
  + Install LoadedImage protocol for PiSmmCore
  + Uninstall LoadedImage protocol if SMM driver returns error and
    is unloaded
  + ArmLib/ArmV7Mmu: use 64-bit type for mapping region size
  + ArmVirtPkg/ArmVirtPlatformLib: reduce ID map size to GCD region
    size
  + ArmVirtPkg/ArmVirtQemu: limit the (I)PA space to 40 bits
  + MdeModulePkg/UefiBootManagerLib: Always create MemoryTypeInfo
    variable
  + ShellBinPkg: Arm/AArch64 Shell binary update
  + MdeModulePkg:Create Boot Maintenance Manager Library
  + MdeModulePkg:Create Device Manager Library
  + MdeModulePkg:Create Boot Manager Library
  + ArmPkg: Invalidate cache after allocating UC memory
  + MdeModulePkg FileExplorerDxe: Create file explorer Protocol
  + ArmPkg: ArmLib: purge incorrect ArmDrainWriteBuffer () alias
  + UefiCpuPkg/CpuDxe: Don't use gBS->Stall
  + UefiCpuPkg/SmmFeatureLib: Check SmmFeatureControl by
    Code_Access_Chk
  + UefiCpuPkg: Not touch SmmFeatureControl if Code_Access_Chk not
    Set
  + ArmPkg/ArmPlatformPkg: position vectors relative to base
  + ArmPkg: correct TTBR1_EL1 settings in TCR_EL1
  + ShellPkg: Corrected CatSPrint usage to prevent memory leaks
  + ArmPkg/ArmV7Mmu: handle memory regions over 4 GB correctly
  + ArmPkg/ArmV7Lib: take MP extensions into account when
    programming TTBR
  + ArmPkg/ArmV7Lib: fix definition of TTBR_NON_INNER_CACHEABLE
  + ArmPkg/ArmV7Mmu: introduce feature PCD to map normal memory
    non-shareable
  + ArmPkg/ArmV7Mmu: make cached translation table accesses
    shareable
  + ArmPkg/ArmV7Lib: add function to test for presence of MP
    extensions
  + ArmPkg/ArmV7Lib: add support for reading the ID_MMFR0 system
    register
  + ArmPkg/ArmV7Mmu: fix write-through translation table accesses
  + ArmPkg/Mmu: set required XN attributes for device mappings
  + ArmVirtPkg/ArmVirtPlatformLib: map executable NOR region as
    normal memory
  + ArmPkg/AArch64Mmu: remove unused GcdAttributeToArmAttribute()
* Wed Nov 18 2015 glin@suse.com
- Update to R18868
  + ArmPkg: ensure DebugAgentVectorTable is 2K-aligned
  + MdeModulePkg: Add Platform recovery support
  + MdePkg: Add Platform Recovery definitions
  + MdeModulePkg: SmmLockBoxPeiLib: work without
    EFI_PEI_SMM_COMMUNICATION_PPI
  + NetworkPkg: Httpboot will fail the 2nd time result by wrong
    TCP state
  + MdeModulePkg PeiCore: PEI dispatcher need retry to process
    NOT_DISPATCHED FV
  + ArmPkg/ArmLib: mark all cached mappings as (inner) shareable
  + ArmPlatformPkg: bring DS-5 scripts in line with linker script
    changes
  + MdeModulePkg: Add BootLogoLib to provide interfaces about logo
    display
  + MdeModulePkg: Add ImageDecoderLib to provide image decoding
    service
  + MdeModulePkg: Add PlatformLogo protocol definition
* Thu Nov 12 2015 glin@suse.com
- Update to R18768
  + MdePkg: Add more DataBits support to Port80 output
  + MdeModulePkg PeiCore: Fix issue AuthenticationStatus is not
    propagated correctly
  + NetworkPkg: Report Http Errors to screen when http layer
    occurs an error
  + Add error handling for TPM in S3 resume failure
  + ArmPkg/ArmDmaLib: use the cache writeback granularity for
    alignment
  + ArmPkg/ArmLib: fix barriers in AArch64 ArmEnableMmu
  + NetworkPkg:Enable Http Boot over Ipv6 stack
  + NetworkPkg:Missing CloseEvent() in HttpResponseWorker
  + CryptoPkg: Add one new API (Pkcs7GetCertificatesList) for certs
    retrieving
  + SourceLevelDebugPkg: DebugAgent: Set Local APIC SoftwareEnable
  + UefiCpuPkg: LocalApicLib: Add API to set SoftwareEnable bit
  + UefiCpuPkg: CpuDxe: Update GDT to be consistent with DxeIplPeim
  + NetworkPkg: HttpDxe sometimes free a pointer twice
  + CryptoPkg/OpensslLib: Move OPENSSL_NO_xxx defines into
    opensslconf.h
  + CryptoPkg/OpensslLib: Eliminate GETPID_IS_MEANINGLESS
    definition
  + CryptoPkg: Fix OpenSSL BN wordsize and OPENSSL_SYS_UEFI
    handling
  + CryptoPkg/OpensslLib: Undefine NO_BUILTIN_VA_FUNCS to fix
    varargs breakage
  + CryptoPkg/BaseCryptLib: Use X509_V_FLAG_NO_CHECK_TIME
  + CryptoPkg/BaseCryptLib: Use X509_V_FLAG_PARTIAL_CHAIN
  + CryptoPkg/BaseCryptLib: Clean up checking of PKCS#7 contents
    type
  + CryptoPkg/BaseCryptLib: Use accessor functions for ASN1_OBJECT
  + CryptoPkg/BaseCryptLib: Use accessor functions for
    X509_ATTRIBUTE
  + CryptoPkg/BaseCryptLib: Use i2d_X509_NAME() instead of abusing
    X509_NAME
  + CryptoPkg/BaseCryptLib: Add missing OpenSSL includes
  + UefiCpuPkg: PiSmmCpuDxeSmm: Replace PcdSet## with PcdSet##S
  + MdePkg/BaseSynchronizationLib: fix AArch64 return values
  + Fix issue that calling GetS3MemoryInfo() with wrong order
  + Do not deadloop if Microcode not found in FspTempRamInit
  + Move Smbios measurement from TCG driver to Smbios driver
  + Add suppressif around TCG hash seleciton checkbox in TCG2
  + UefiCpuPkg: PiSmmCpuDxeSmm: Remove unused references to SmmLib
  + OvmfPkg: QemuFlashFvbServicesRuntimeDxe: split out runtime DXE
    specifics
  + OvmfPkg: QemuFlashFvbServicesRuntimeDxe: no dual addressing
    needed
  + MdeModulePkg Variable: Enhance variable performance by reading
    from existed memory cache
* Thu Oct 22 2015 glin@suse.com
- Update to R18651
  + OvmfPkg: XenPvBlkDxe: handle empty cdrom drives
  + MdeModulePkg SetupBrowserDxe: Save global variable values
    before nest function called
  + UefiCpuPkg: Add CPU Hot Plug Data include file
  + UefiCpuPkg: Add ACPI CPU Data include file
  + UefiCpuPkg: Add SMM CPU Service Protocol
  + UefiCpuPkg: CpuDxe: broadcast MTRR changes to APs
  + UefiCpuPkg: CpuDxe: Wait for APs to enter idle loop
  + UefiCpuPkg: CpuDxe: Use PCD for AP detection timeout
  + UefiCpuPkg: Update CPU MP drivers to support single CPU
    configuration
  + MdeModulePkg VarCheckLib: R18611 was thoughtless for property
    set
  + SecurityPkg : Fix Rsa2048Sha256GuidedSectionExtractLib issue
  + OvmfPkg: VirtioBlkDxe: reset device at ExitBootServices()
  + OvmfPkg: VirtioScsiDxe: reset device at ExitBootServices()
  + OvmfPkg: Sec: Fix SOURCE_DEBUG_ENABLE ASSERT()
  + MdeModulePkg: SmbiosDxe: soften DEBUG messages about table
    reallocation
  + MdeModulePkg: FaultTolerantWriteDxe: clean up some "success"
    messages
  + MdeModulePkg: FaultTolerantWriteDxe: mellow DEBUGs about
    workspace reinit
  + ArmPlatformPkg: NorFlashDxe: mellow DEBUG messages about flash
    reinit
  + ArmVirtPkg: include BaseStackCheckLib also for AARCH64
  + NetworkPkg: reset DHCP child when leaving PXE LoadFile
  + MdeModulePkg: reset DHCP child when leaving PXE LoadFile
  + SecurityPkg AuthVariableLib: Add the missing
    gEfiAuthenticatedVariableGuid
  + MdeModulePkg VariableRuntimeDxe: Add the missing
    gEfiImageSecurityDatabaseGuid
  + MdeModulepkg VarCheckLib: Return NULL when no property set to
    variable with wildcard name
  + NetworkPkg: remove unnecessary timeout event when setting IPv6
    address
  + ShellPkg: Print error message when Shell set environment
    variable fail
  + BaseTools/PeCoffLoader: fix handling of ARM MOVW/MOVT
    instruction relocs
  + UefiCpuPkg: Add ASSERT to handle local APIC not config properly
  + SecurityPkg: Integrate new RngLib into RngDxe
  + MdePkg: Create GetRandomNumber128 in RngLib
  + ArmVirtPkg/ArmVirtQemu: enable non-exec DXE stack for AARCH64
  + MdeModulePkg/DxeIplPeim: implement non-exec stack for
    ARM/AARCH64
  + ArmPkg/ArmLib MMU: add functions to set/clear RO and XN bits on
    regions
  + ArmPkg/AArch64Mmu: move page table traversal code to separate
    function
  + ArmPkg/AArch64Mmu: use architecturally correct definitions for
    XN/UXN
* Thu Oct  8 2015 glin@suse.com
- Update to R18577
  + OvmfPkg: raise DXEFV size to 9 MB
  + MdeModulePkg: exit pci function loops early if device is not
    multi-function
  + NetworkPkg: HttpDxe: Remove unused local variables
  + ArmPkg/AArch64Mmu: remove cache maintenance for page tables
  + BaseTools/AARCH64: use large code model for GCC <= 4.8
  + ArmPkg/Mmu: do not configure block translations at level 0
  + ArmVirtPkg: use 4 KB section alignment for
    ARM DXE_RUNTIME_DRIVER modules
  + BaseTools/ARM: move to unified GCC linker script
- Enable HttpBoot for i586 and x86_64
- Drop patches since upstream fixes the issues
  + ovmf-use-non-default-gcc48.patch
  + 0001-Revert-BaseTools-AARCH64-use-tiny-code-model-by-defa.patch
  + 0010-avoid-potentially-uninitialized-variable.diff
* Thu Oct  1 2015 glin@suse.com
- Update to R18564
  + OvmfPkg: set 4 KB section alignment for DXE_RUNTIME_DRIVER
    modules
  + MdeModulePkg Ip4Dxe: Ip4Config2 to request DHCP Option6 DNS
    server IP
  + MdeModulePkg: Add SMBIOS 3.0 support in NetLibGetSystemGuid
  + ArmVirtPkg: build the TFTP command into the UEFI shell
  + OvmfPkg: build the TFTP command into the UEFI shell
  + ArmVirtPkg: reduce preallocation of boot services data pages
  + OvmfPkg: enable SATA controller
  + OvmfPkg: QemuBootOrderLib: recognize Q35 SATA disks / CD-ROMs
  + MdePkg: Add RngLib into MdePkg
  + MdeModulePkg: Remove event from protocol database only if
    registered
  + ArmVirtPkg: PlatformIntelBdsLib: signal ReadyToBoot on direct
    kernel boot
  + ShellPkg: Added SMBIOS 2.8 Type 17 changes to smbiosview
  + ShellPkg: Added SMBIOS 3.0 support in dmem
  + MdeModulePkg: Enhance PCI capability looking up logic to avoid
    hang
  + OvmfPkg: disable no-exec DXE stack by default
  + OvmfPkg: make PcdPropertiesTableEnable dynamic
  + OvmfPkg: make PcdSetNxForStack dynamic
  + MdeModulePkg: Change the algorithm in SNP to use the first
    found BAR index
  + NetworkPkg: Update Http driver to use DPC mechanism
  + NetworkPkg: RxToken event not closed in Http.Response()
  + NetworkPkg: Avoid memory allocation for each HTTP message
    exchange
  + NetworkPkg: Update cache management in HTTP boot driver
  + NetworkPkg: Enlarge receive block size of HTTP boot driver
  + PXE Driver's LoadFile protocol should check FilePath
  + ArmVirtPkg: set max physical address width to 40 bits
  + ArmVirtPkg/ArmVirtMemoryInitPeiLib: handle memory above 4 GB
    on 32-bit ARM
  + ArmPkg/Mmu: Fix potential page table memory leak
  + ArmPkg/Mmu: Increase PageLevel when table found at the targeted
    level
  + ArmPkg/Mmu: Fix literal number left shift bug
  + ArmPkg/Mmu: Fix page level calculation bug
  + ArmPkg/Mmu: Fix bug of aligning new allocated page table
  + MdeModulePkg: Fix a performance data buffer overrun issue
  + ShellPkg: Fix 'for' command fail with multiple fields
  + MdeModulePkg: Regular expression protocol
  + NetworkPkg: Fix suspicious dereference of pointer 'FieldCount'
  + Handle extra module patchable PCD variable in Linux map
  + NetworkPkg: Fix the HttpCloseConnection fail issue
  + UefiCpuPkg/MtrrLib: MtrrValidBitsMask and MtrrValidAddressMask
    wrong
- Add ovmf-use-non-default-gcc48.patch: gcc5 generates the larger
  code size and causes the x86_64 final image exceeds the size
  limit if we enable Secure Boot and IPv6 at the same time. As a
  workaround, we use the non-default gcc48.
- Drop ovmf-gcc5-conf.patch and use GCC49 as TOOL_CHAIN_TAG for
  the distro with gcc5
- Limit 0001-Revert-BaseTools-AARCH64-use-tiny-code-model-by-defa.patch
  to the distro with gcc lower than 5
- Refresh ovmf-embed-default-keys.patch and ovmf-gdb-symbols.patch
* Thu Sep  3 2015 glin@suse.com
- Update to R18393
  + OvmfPkg: PlatformPei: force 32-bit MMIO aperture above 3 GB
  on Q35
  + OvmfPkg: AcpiTables: serialize control methods that create
    named objects
  + OvmfPkg: PlatformPei: clear CMOS 0xF after setting mBootMode
  + CryptoPkg: Fix one wrong parameter for weak key checking
  + CryptoPkg: Replace string wrapper functions with safe string
    functions
  + ArmPlatformPkg/PlatformIntelBdsLib: add splash screen support
  + ArmPlatformPkg/PlatformIntelBdsLib: fix and clean up error
    handling
  + ArmPlatformPkg/PlatformIntelBdsLib: remove ARM BDS dependency
  + Locate IpSec on IP packet processing only if it's installed
  + ShellPkg: Get media status in ifconfig command
  + OvmfPkg: prevent code execution from DXE stack
  + MdePkg: Modify string expression of Wi-Fi device path to
    follow UEFI spec
  + NetworkPkg: Fix IpSec run into infinite loop issue in some case
  + FatBinPkg: Update EBC/IA32/X64/IPF binaries
  + SecurityPkg: Fix one returned code issue in P7Verify Protocol
  + Add VarCheckLib library
  + BaseTools: Add NULL pointer check in AutoGen code
  + Follow PI spec to update ExtendedSize in EFI_FFS_FILE_HEADER2
  + NetworkPkg: Add HTTP utilities driver
  + OvmfPkg: Add HttpBoot support
  + NetworkPkg: Remove the hostname from the http request URL
  + MdeModulePkg:Full support F10 hot key in UiApp
  + NetworkPkg: Fix DHCP TransmitReceive EFI_NO_MAPPING return in
    DnsDxe
  + MdeModulePkg: Fix default router table and interface missing
    error
  + ShellPkg: Fix 'ifconfig' can't get the address from dhcp in
    some case
  + ArmPkg: remove ARMv6 support code
  + MdeModulePkg: Update UiApp to handle terminal type TtyTerm
  + MdeModulePkg/Xhci: make all timeout values be consistent with
    comments
  + SecurityPkg: Fixed build error due to FixedAtBuild
    PcdTcg2HashAlgorithmBitmap
  + MdeModulePkg: IP4 should re-initiate a DHCP if it detects
    network reconnection
  + NetworkPkg: Stop and release DHCP4 child after boot info is
    ready
  + Add restriction that HashFinal() must be after at least one
    HashUpdate()
  + SecurityPkg: Update SignatureSize to comply UEFI spec
  + NetworkPkg: Fix hang issue after system reconnected when IPSec
    has set up
  + Add TPM2 definition in trusted computing group
  + BaseTools IA32/X64: prevent .eh_frame sections from being
    generated
  + MdeModulePkg:Use safe string functions in UiApp
  + MdeModulePkg: Add codes to support trailer parse in HttpLib
  + OvmfPkg/Xen: use lower case x in hex immediate value
  + ArmVirtPkg: use global section alignment in custom linker
    script
  + ArmVirtPkg: avoid relocated immediates in AARCH64 asm
  + MdeModulePkg: Fix issue about current Ip4Dxe implementation
    for DHCP DORA process
  + BaseTools/GenFw: allow AArch64 tiny and small code model
    relocations
- Add 0001-Revert-BaseTools-AARCH64-use-tiny-code-model-by-defa.patch
  to use the large model for aarch64 since ld/binutils couldn't
  calculate the sections properly and GenFw would fail due to the
  section offset.
- Drop arm patches
  + 0001-ArmPlatformPkg-ArmVirtualizationPkg-enable-DEBUG_VER.patch
  + 0002-ArmPlatformPkg-Bds-generate-ESP-Image-boot-option-if.patch
  + 0003-ArmPlatformPkg-Bds-check-for-other-defaults-too-if-u.patch
  + 0005-ArmPlatformPkg-Bds-initialize-ConIn-ConOut-ErrOut-be.patch
  + 0006-ArmPlatformPkg-Bds-let-FindCandidate-search-all-file.patch
  + 0007-ArmPlatformPkg-Bds-FindCandidateOnHandle-log-full-de.patch
  + 0008-ArmPlatformPkg-Bds-fall-back-to-Boot-Menu-when-no-de.patch
  + 0009-ArmPlatformPkg-Bds-always-connect-drivers-before-loo.patch
* Mon Aug 10 2015 glin@suse.com
- Update to R18191
  + UefiCpuPkg CpuDxe: Sync up the settings of Execute Disable to APs
  + MdeModulePkg DxeIpl: Fix IA32 build failure with GCC 5.1.1
  + ArmPlatformPkg/PlatformPeim: constify EFI_PEI_PPI_DESCRIPTOR
    globals
  + ArmPlatformPkg/PrePeiCore: constify PPI globals
  + MdeModulePkg: Use monotonic count to initialize the NetLib
    random seed
  + OvmfPkg: SmbiosVersionLib: recognize SMBIOS 3.x entry point
  + OvmfPkg: SmbiosPlatformDxe: eliminate duplicate entry point
    validation
  + ArmVirtPkg/ArmVirtQemu.dsc: set default for
    PcdQemuSmbiosValidated
  + OvmfPkg: introduce PcdQemuSmbiosValidated
  + ArmVirtPkg: set SMBIOS version in DetectSmbiosVersionLib
    instead of QemuFwCfgToPcdDxe
  + OvmfPkg: set SMBIOS version in DetectSmbiosVersionLib instead
    of PlatformPei
  + OvmfPkg: SmbiosVersionLib: add "plugin" for detecting SMBIOS
    version
  + OvmfPkg: PlatformDebugLibIoPort: fix AsciiSPrint() format
    string
  + ShellPkg: Fix issue about ping fail with IPv4
  + MdeModulePkg DxeIpl: Add stack NX support
  + NetworkPkg: Fix assert caused by wrong parameter in
    AsciiStrCpyS()
  + ArmVirtPkg/ArmVirtQemu: add LinuxLoader UEFI app to ARM build
  + ArmVirtPkg/ArmVirtXen: remove unused PcdFirmwareVendor PCD
  + ArmVirtPkg/ArmVirtQemu: drop ARM BDS and make Intel BDS the
    default
  + BaseTools GCC: move AutoGen.obj contents to .text section
  + BaseTools GCC: align start of .data to .text alignment
  + BaseTools GCC: add unified GCC linker script for all archs and
    versions
  + BaseTools IA32/X64: get header size and alignment from ld
    commandline
  + BaseTools IA32/X64: move .got contents to the PE/COFF .text
    section
  + BaseTools IA32/X64: drop redundant alignment from linker script
  + BaseTools IA32/X64: move .rodata to PE/COFF .text section
  + BaseTools IA32/X64: remove NOP padding from X86/IA32 GCC linker
    scripts
  + MdeModulePkg PeiCore: Add PCD to specify PEIM Shadow
  + ArmVirtPkg: use 'auto' alignment and FIXED placement for XIP
    modules
  + MdeModulePkg: Enhance PciBusDxe to handle high 32bit of MEM64
    BAR returns 0
- Refresh ovmf-gcc5-conf.patch
- Refresh 0001-ArmPlatformPkg-ArmVirtualizationPkg-enable-DEBUG_VER.patch
- Drop upstreamed patch: ovmf-netlib-random-seed.patch
- Drop 0004-ArmPlatformPkg-ArmVirtualizationPkg-auto-detect-boot.patch
  since the ARM BDS was dropped
* Wed Jul 29 2015 glin@suse.com
- Update to R18107
  + NetworkPkg: Fix the issue cannot boot to UEFI Network after
    reset
  + ArmVirtPkg: implement DT-based ArmGicArchLib
  + OvmfPkg: fix conversion specifiers in DEBUG format strings
  + Reduce reserved memory consumption
  + MdeModulePkg: Make boot option description unique
  + NetworkPkg: Fix the issue EfiPxeBcDhcp() may return wrong
    status.
  + ArmVirtPkg/ArmVirtQemu: support SMBIOS
  + ArmVirtPkg: QemuFwCfgToPcdDxe: set SMBIOS entry point version
    dynamically
  + ArmVirtPkg: add QemuFwCfgToPcdDxe
  + OvmfPkg: SmbiosPlatformDxe: restrict current Xen code to
    IA32/X64
  + OvmfPkg: SmbiosPlatformDxe: move IsEntryPointStructureValid()
    to Xen.c
  + OvmfPkg: AcpiS3SaveDxe: drop EFI_ACPI_S3_SAVE_PROTOCOL
  + OvmfPkg: install DxeSmmReadyToLock in PlatformBdsLib
  + IntelFrameworkModulePkg/GenericBdsLib: remove AcpiS3->S3Save()
    call
  + OvmfPkg: PlatformBdsLib: signal End-of-Dxe event group
  + OvmfPkg: AcpiS3SaveDxe: call S3Ready() at End-of-Dxe
  + OvmfPkg: AcpiS3SaveDxe: prepare for End-of-Dxe callback
- Add ovmf-netlib-random-seed.patch to avoid the DHCPv6 IAID
  collision
* Fri Jul 24 2015 glin@suse.com
- Update to R18030
  + ArmVirtPkg: Make terminal type consistent
  + NetworkPkg: Add the unspecified address check for DNS6
    StationIp
  + ShellPkg: Add optional 'tftp' EFI Shell command
  + NetworkPkg: Fix bios bootup hang issue when enable network
  + SecurityPkg: Fix DBX Variable Read Error in
    ImageVerificationLib
  + SecurityPkg: Correct BootOrder/Boot#### measurement behavior
  + ArmVirtPkg/ArmVirtQemu.dsc: Remove Linux specific boot path
  + ArmPkg/BdsLib: Remove Linux loader from BdsLib
  + ArmPlatformPkg: Add the LinuxLoader.efi EFI application
  + ArmPkg/BdsLib: Replaced BdsLoadApplication() by
    LocateEfiApplicationInFv()
  + OvmfPkg: QemuBootOrderLib: recognize extra PCI root buses
  + OvmfPkg: QemuBootOrderLib: introduce ExtraRootBusMap
  + OvmfPkg: PciHostBridgeDxe: shorten search for extra root buses
  + OvmfPkg: PciHostBridgeDxe: look for all root buses
  + OvmfPkg: PciHostBridgeDxe: eliminate
    PCI_HOST_BRIDGE_INSTANCE.RootBridgeNumber
  + OvmfPkg: PciHostBridgeDxe: use private buffer in
    RootBridgeIoConfiguration()
  + OvmfPkg: PciHostBridgeDxe: release resources on driver entry
    failure
  + OvmfPkg: PciHostBridgeDxe: factor out InitRootBridge() function
  + OvmfPkg: PciHostBridgeDxe: embed device path in private root
    bridge struct
  + OvmfPkg: PciHostBridgeDxe: kill RootBridgeNumber and
    RootBridgeAttribute
  + OvmfPkg: PciHostBridgeDxe: eliminate nominal support for
    multiple host bridges
  + OvmfPkg: PlatformBdsLib: connect all PCI root buses
- Refresh patches
  + 0001-ArmPlatformPkg-ArmVirtualizationPkg-enable-DEBUG_VER.patch
  + 0002-ArmPlatformPkg-Bds-generate-ESP-Image-boot-option-if.patch
  + 0003-ArmPlatformPkg-Bds-check-for-other-defaults-too-if-u.patch
  + 0004-ArmPlatformPkg-ArmVirtualizationPkg-auto-detect-boot.patch
  + 0005-ArmPlatformPkg-Bds-initialize-ConIn-ConOut-ErrOut-be.patch
  + 0006-ArmPlatformPkg-Bds-let-FindCandidate-search-all-file.patch
  + 0007-ArmPlatformPkg-Bds-FindCandidateOnHandle-log-full-de.patch
  + 0008-ArmPlatformPkg-Bds-fall-back-to-Boot-Menu-when-no-de.patch
  + 0009-ArmPlatformPkg-Bds-always-connect-drivers-before-loo.patch
  + 0010-avoid-potentially-uninitialized-variable.diff
* Mon Jul 13 2015 glin@suse.com
- Update to R17935
  + CryptoPkg: update OpenSSL dependency to version 1.0.2d
  + OvmfPkg: QemuFwCfgLib: avoid "variable set but not used"
    warning from GCC
  + Remove Ip4ConfigDxe module
  + IntelFrameworkPkg FrameworkUefiLib: Fix ASSERT in CatVSPrint
  + BaseTools: aarch64: add -fno-asynchronous-unwind-tables to gcc
    cflags
  + MdePkg/AArch64: use GCC_ASM_EXPORT to export functions
  + MdeModulePkg/FvSimpleFileSystemDxe: Support file opening with
    no '.efi'
  + OvmfPkg: Fix GCC49 build hang in PeiCore
  + Add "TtyTerm" terminal type to TerminalDxe
  + MdeModulePkg AcpiTableDxe: Install config table at ACPI data
    change
- Remove upstreamed ovmf-remove-old-ip4config.patch
* Wed Jul  8 2015 glin@suse.com
- Update to R17883
  + MdePkg: Add UEFI2.5 Ramdisk device path definition
  + ArmVirtPkg: use correct ASM decoration for non-function global
    symbols
  + NetworkPkg: Add UEFI HTTP boot driver
  + NetworkPkg: Add HTTP Driver
  + NetworkPkg: Add DNS feature support over IPv4 and IPv6
  + MdeModulePkg: Update Ip4Dxe driver to support Ip4Config2
    protocol
  + ArmVirtPkg: adapt ArmVirtXen build to system memory end global
    variable
  + ArmPkg/CpuDxe: Fixed AArch64 MMU
  + ArmPkg/Application: Add new EFI application to boot Linux
  + ArmVirtPkg: build runtime drivers with 64 KB section alignment
  + Restructure AuthVariableLib
  + Conversion of the safe string functions
  + CryptoPkg: Fix the dereferenced pointer issue
  + SecurityPkg: Add MD5 support to Hash2DxeCrypto
  + OvmfPkg: Increase the maximum size of RAM
  + ArmVirtPkg: signal EndOxDxe event in PlatformBsdInit
  + MdeModulePkg: Add Memory Capabilities for MMIO and Reserved
    Range
- Add ovmf-remove-old-ip4config.patch to remove the old Ip4Config
- Refresh patches
  + ovmf-embed-default-keys.patch
  + ovmf-gcc5-conf.patch
  + 0001-ArmPlatformPkg-ArmVirtualizationPkg-enable-DEBUG_VER.patch
  + 0002-ArmPlatformPkg-Bds-generate-ESP-Image-boot-option-if.patch
  + 0003-ArmPlatformPkg-Bds-check-for-other-defaults-too-if-u.patch
  + 0004-ArmPlatformPkg-ArmVirtualizationPkg-auto-detect-boot.patch
  + 0005-ArmPlatformPkg-Bds-initialize-ConIn-ConOut-ErrOut-be.patch
  + 0006-ArmPlatformPkg-Bds-let-FindCandidate-search-all-file.patch
  + 0007-ArmPlatformPkg-Bds-FindCandidateOnHandle-log-full-de.patch
  + 0008-ArmPlatformPkg-Bds-fall-back-to-Boot-Menu-when-no-de.patch
  + 0009-ArmPlatformPkg-Bds-always-connect-drivers-before-loo.patch
- Add the source-level debugging to README
* Wed Jun 24 2015 glin@suse.com
- Update to R17700
  + OvmfPkg/PlatformDxe: Convert Platform.uni to UTF-8
  + OvmfPkg: QemuVideoDxe: add virtio-vga support
  + CryptoPkg: OpensslLib: reintroduce EFIAPI for
    ERR_add_error_data()
  + SecurityPkg: Provide correct file GUID for Pkcs7VerifyDxe
  + SecurityPkg: Fix wrong calculation of ImageExeInfoEntrySize
  + OvmfPkg: PlatformPei: set SMBIOS entry point version
    dynamically
  + SecurityPkg: Add UEFI-2.5 PKCS7 Verification Protocol Support
  + CryptoPkg: Add one new API for PKCS7 Verification Protocol
    Support
  + MdeModulePkg PiSmmCore: Introduce SMM Exit Boot Services and
    Legacy Boot
  + MdePkg/DxeServicesLib: Return NULL GetFileBufferByFilePath
    reads directory
  + MdeModulePkg: Fix DHCP4 driver hang issue in some case
  + MdeModulePkg: Remove DHCP4.TransmitReceive()and DORA process
    dependency
  + MdeModulePkg:System hangs in setup menu
  + ArmVirtPkg: increase memory preallocations for secure build
  + Update openssl to 1.0.2c
  + Add code to protect the whole BIOS region on SPI flash, except
    UEFI Variable region
  + SecurityPkg/MdeModulePkg: Add PcdMaxAuthVariableSize
    declaration
  + MdePkg: Add EFI REST Protocol definitions
  + OvmfPkg/PlatformPei: Initialise RCBA (B0:D31:F0 0xf0) register
  + OvmfPkg/PlatformPei: Query Host Bridge DID only once
  + ArmPkg: reduce sysreg access count in GIC revision probe
  + SecurityPkg: Fix wrong cert data measurement in DBX path
  + MdeModulePkg/UhciDxe: Update async polling interval to 1ms
  + MdeModulePkg/EhciDxe: Update async polling interval to 1ms
  + MdeModulePkg/XhciDxe: Update async polling interval to 1ms
  + ShellPkg\Application\Shell: Clean start row information after
    the console has been Reset or SetMode
  + Add SysPrepOrder and SysPrep#### to global list
  + MdePkg: Add EFI Capsule Report data structure and GUID
  + Add UEFI 2.5 Properties table definition
  + MdePkg:Add UEFI 2.5 PKCS7 Verification Protocol Definition
  + ShellPkg: Handle escape characters properly for parse command
  + ShellPkg: Add pipe support for parse command
  + ArmVirtPkg: increase memory preallocations to reduce region
    count
- Add ovmf-gcc5-conf.patch for GCC5 and adjust the spec file for
  gcc5
* Wed Jun  3 2015 glin@suse.com
- Update to R17553
  + MdeModulePkg/AtaAtapiPassThru: ensure PRDT of IDE is in 64K
    boundary
  + ArmPkg/BdsLib: Fixed TFTP when there are directories in the
    name
  + Renamed ArmPlatformPkg/ArmVirtualizationPkg into ArmVirtPkg
  + ArmPkg: Expand AArch64 address width to 48 bits
  + MdeModulePkg:Support delete key
  + MdeModulePkg/AtaAtapiPassThruDxe: Support 4K bytes block size
    HDDs
  + MdeModulePkg: Fix potential buffer overflow issues
  + Update for OEM reserved memory type
- Update ArmPlatformPkg patches
  + 0001-ArmPlatformPkg-ArmVirtualizationPkg-enable-DEBUG_VER.patch
  + 0002-ArmPlatformPkg-Bds-generate-ESP-Image-boot-option-if.patch
  + 0003-ArmPlatformPkg-Bds-check-for-other-defaults-too-if-u.patch
  + 0004-ArmPlatformPkg-ArmVirtualizationPkg-auto-detect-boot.patch
  + 0005-ArmPlatformPkg-Bds-initialize-ConIn-ConOut-ErrOut-be.patch
  + 0006-ArmPlatformPkg-Bds-let-FindCandidate-search-all-file.patch
  + 0007-ArmPlatformPkg-Bds-FindCandidateOnHandle-log-full-de.patch
  + 0008-ArmPlatformPkg-Bds-fall-back-to-Boot-Menu-when-no-de.patch
  + 0009-ArmPlatformPkg-Bds-always-connect-drivers-before-loo.patch
  + 0010-avoid-potentially-uninitialized-variable.diff
- Remove the prefix of the arm patches
  + ovmf-0001-ArmPlatformPkg-ArmVirtualizationPkg-enable-DEBUG_VER.patch
  + ovmf-0002-ArmPlatformPkg-Bds-generate-ESP-Image-boot-option-if.patch
  + ovmf-0003-ArmPlatformPkg-Bds-check-for-other-defaults-too-if-u.patch
  + ovmf-0004-ArmPlatformPkg-ArmVirtualizationPkg-auto-detect-boot.patch
  + ovmf-0005-ArmPlatformPkg-Bds-initialize-ConIn-ConOut-ErrOut-be.patch
  + ovmf-0006-ArmPlatformPkg-Bds-let-FindCandidate-search-all-file.patch
  + ovmf-0007-ArmPlatformPkg-Bds-FindCandidateOnHandle-log-full-de.patch
  + ovmf-0008-ArmPlatformPkg-Bds-fall-back-to-Boot-Menu-when-no-de.patch
  + ovmf-0009-ArmPlatformPkg-Bds-always-connect-drivers-before-loo.patch
  + ovmf-0010-avoid-potentially-uninitialized-variable.diff
* Thu May 14 2015 glin@suse.com
- Update to R17446
  + OvmfPkg: AcpiS3SaveDxe: fix protocol usage hint in the INF file
  + OvmfPkg: extract some bits and port offsets common to Q35 and
    I440FX
  + MdeModulePkg: Add ESRT management module.
  + MdeModulePkg: Add ESRT management protocol definition
  + MdePkg: Add Microsoft UX capsule GUID & layout
  + SecurityPkg: Update SecureBootConfigDxe to support ARM image
  + SecurityPkg Variable: Make PK & SecureBootMode consistent
  + MdeModulePkg DxeCore: Add read only memory support
  + OvmfPkg: QemuBootOrderLib: parse OFW device path nodes of PCI
    bridges
  + MdePkg: Add UEFI 2.5 SD (Secure Digital) Device Path Definitions
  + Hash2 driver to [Components.IA32, Components.X64, Components.IPF]
    section
  + ArmVirtualizationPkg: Enable secure boot for ArmVirtualizationQemu
  + ArmPlatformPkg: enable use of authenticated variables in
    NorFlashDxe
- Refresh patch
  + ovmf-0002-ArmPlatformPkg-Bds-generate-ESP-Image-boot-option-if.patch
- Enable Secure Boot for AArch64
- Remove the workaround for SLE11
* Thu May  7 2015 glin@suse.com
- Although ovmf-gdb-symbols.patch has been included for a while,
  it's not mentioned in changelog and legal-auto script is not
  happy with it.
* Thu May  7 2015 glin@suse.com
- Update to R17351
  + BaseTools: Fix build fail issue
  + MdeModluePkg: Enable refresh opcode to refresh the entire form
  + BaseTool: Add refresh form opcode in vfrcompiler
  + MdeModulePkg: Add BootManagerMenuApp
  + MdeModulePkg: Add BdsDxe driver and PlatformBootManagerNull
    library
  + MdeModulePkg: Add UefiBootManagerLib
  + MdePkg: Update the UEFI version to reflect new revision
  + OvmfPkg: Use the new PCDs defined in MdePkg and MdeModulePkg
  + MdePkg: Add UEFI2.5 bluetooth protocol/devicepath definition
  + Add UEFI2.5 HASH protocol implementation
  + MdeModulePkg: Add UEFI2.5 and PI1.4 PersistentMemory feature
  + MdePkg: Add ESRT Interface Definitions
  + Various fixes for Shell
- Drop ovmf-sle-11-gcc47.patch
  + The NASM version in SLE11 is too old to build the newer ovmf
- Rename the ARM patches to make the legal-auto script happy
  + ovmf-0001-ArmPlatformPkg-ArmVirtualizationPkg-enable-DEBUG_VER.patch
  + ovmf-0002-ArmPlatformPkg-Bds-generate-ESP-Image-boot-option-if.patch
  + ovmf-0003-ArmPlatformPkg-Bds-check-for-other-defaults-too-if-u.patch
  + ovmf-0004-ArmPlatformPkg-ArmVirtualizationPkg-auto-detect-boot.patch
  + ovmf-0005-ArmPlatformPkg-Bds-initialize-ConIn-ConOut-ErrOut-be.patch
  + ovmf-0006-ArmPlatformPkg-Bds-let-FindCandidate-search-all-file.patch
  + ovmf-0007-ArmPlatformPkg-Bds-FindCandidateOnHandle-log-full-de.patch
  + ovmf-0008-ArmPlatformPkg-Bds-fall-back-to-Boot-Menu-when-no-de.patch
  + ovmf-0009-ArmPlatformPkg-Bds-always-connect-drivers-before-loo.patch
  + ovmf-0010-avoid-potentially-uninitialized-variable.diff
* Thu Apr 23 2015 glin@suse.com
- Update ovmf-embed-default-keys.patch to embed the default dbx.
  Also add the dbx list from the UEFI website and enable it in the
  MS flavor. A script, strip_authinfo.pl, was added to strip the
  AuthInfo headers from dbxupdate.bin since those are not necessary
  in dbx.
* Mon Apr 20 2015 glin@suse.com
- Update to R17187
  + Save initial TSVal from TCP connection initiation packets
  + BaseTools/Ecc: Add ECC (EFI Code Checker) Binary into BaseTools
    bin directory
  + MdePkg: Add ESRT Interface Definitions
  + OvmfPkg: XenConsoleSerialPortLib: deal with output overflow
  + OvmfPkg: Q35: Use correct ACPI PM control register:bit
  + PXE driver bug fix
  + A failed PXEv6 after a success PXEv4 will cause ASSERT
  + MdePkg: BaseSynchronizationLib: fix Increment/Decrement retvals
    for ARM
  + Updated Memory Error Record Per UEFI Specification 2.4a
  + MdeModulePkg BootScriptExecutorDxe: Use ImageContext.ImageSize
    to allocate memory for PE image to handle the case PE file
    alignment is not same as PE section alignment.
  + Fix GCC hang issue: Point should use directly assignment
    instead of IP4_COPY_ADDRESS.
  + SecurityPkg Variable: Update code in ProcessVariable ()
- Update openssl to 0.9.8zf
* Tue Mar 17 2015 glin@suse.com
- Update to R17055
  + OvmfPkg: include XHCI driver
  + ArmVirtualizationPkg/ArmVirtualizationQemu: include XHCI driver
  + ArmVirtualizationPkg: build UEFI shell from source
  + SecurityPkg Variable: Allow the delete operation of common auth
    variable at user physical presence
  + Set network boot option to the default last priority
  + MdeModulePkg: improve scalability of memory pools
  + MdeModulePkg: use correct granularity when allocating pool
    pages
* Fri Mar  6 2015 glin@suse.com
- Update to R17007
  + ArmVirtualizationPkg: PlatformIntelBdsLib: lack of QEMU kernel
    is no error
  + Improve Xen support in Ovmf
  + ArmVirtualizationPkg: PlatformIntelBdsLib: display TianoCore
    logo
  + ArmVirtualizationPkg/ArmVirtualizationQemu: add USB keyboard
    input
  + ArmVirtualizationPkg/ArmVirtualizationQemu: add VGA console
    output
  + ArmVirtualizationPkg/ArmVirtualizationQemu: enable PCI support
  + OvmfPkg/QemuVideoDxe: enable ARM builds
  + Improve ACPI support in Ovmf
  + OvmfPkg/PlatformBdsLib: Signal ReadyToBoot before booting QEMU
    kernel
  + ArmPkg/ArmLib.h: Add CPU Affinity definitions
  + OvmfPkg/SMBIOS: Provide default Type 0 (BIOS Information)
    structure
  + NetworkPkg: Code refine to avoid NULL pointer dereferenced
  + DHCP6 bug fix
  + BaseTools/GenFw: Set the PE/COFF attribute BaseOfData with the
    address of the first '.data' section
  + OvmfPkg: Update PlatformBaseDebugLibIoPort library
  + Various fixes for shell
- Update ARM patches
* Fri Feb  6 2015 lnussel@suse.de
- update to R16775
- add RH patches for ARM
* Tue Jan  6 2015 glin@suse.com
- Update to R16580
  + MdeModulePkg Variable: Implement VarCheck PROTOCOL and follow
    UEFI spec to check UEFI defined variables
  + ArmVirtualizationPkg: Intel BDS: load EFI-stubbed Linux kernel
    from fw_cfg
  + ArmVirtualizationPkg: identify "new shell" as builtin shell
    for Intel BDS
  + ArmVirtualizationPkg: PlatformIntelBdsLib: adhere to QEMU's
    boot order
  + OvmfPkg: QemuBootOrderLib: OFW-to-UEFI translation for
    virtio-mmio
  + OvmfPkg: QemuBootOrderLib: widen ParseUnitAddressHexList() to
    UINT64
  + ArmVirtualizationPkg: VirtFdtDxe: use dedicated
    VIRTIO_MMIO_TRANSPORT_GUID
  + OvmfPkg: introduce VIRTIO_MMIO_TRANSPORT_GUID
  + OvmfPkg: QemuBootOrderLib: featurize PCI-like device path
    translation
  + OvmfPkg: extract QemuBootOrderLib
  + ArmVirtualizationPkg: PlatformIntelBdsLib: add basic policy
  + ArmVirtualizationPkg: clone PlatformIntelBdsLib from
    ArmPlatformPkg
  + ArmVirtualizationPkg: introduce QemuFwCfgLib instance for DXE
    drivers
  + ArmVirtualizationPkg: VirtFdtDxe: forward FwCfg addresses from
    DTB to PCDs
  + MdeModulePkg/FvSimpleFileSystem:Fix a potential NULL
    dereference issue
  + Correct the Hash Calculation for Revoked X.509 Certificate to
    align with RFC3280 and UEFI 2.4 Spec
  + MdeModulePkg/FvSimpleFileSystem: Add a new module to provide
    access to executable files in FVs
  + OvmfPkg: enable IPv6 support
  + Fix a bug that the gateway is not necessary in a simple PXE
    network
  + ArmPkg/BdsLib: Update the size of the Device Tree before
    booting Linux
  + ArmPkg/BdsLib: Rework TFTP boot
  + MdePkg: UefiScsiLib: do not encode LUN in CDB for SCSI commands
  + Correct the alignment calculation of PE/COFF attribute
    certificate entry
  + OvmfPkg: CsmSupportLib: depend on OvmfPkg.dec explicitly
  + OvmfPkg: AcpiPlatformDxe: make dependency on PCI enumeration
    explicit
  + MdePkg/MdeModulePkg: Implement the missing
    SetMemorySpaceCapabilities function
  + Various fixes for shell
- Set the flag to enable IPv6 support
- Refresh ovmf-embed-default-keys.patch
* Tue Nov 18 2014 glin@suse.com
- Update to R16398
  + OvmfPkg: PlatformBdsLib: Dynamic PCI Interrupt Line register
    setup
  + SecurityPkg: VariableServiceSetVariable(): fix dbt <-> GUID
    association
  + CryptoPkg: OpenSslSupport.h: edk2-ize offsetof() macro for
    gcc-4.8 / X64
  + CryptoPkg: TimestampTokenVerify(): fix gcc-4.8 / Ia32 build
    failure
  + UEFI 2.4 X509 Certificate Hash and RFC3161 Timestamp
    Verification support for Secure Boot
  + OvmfPkg: PlatformBdsLib: Platform dependent
    PCI/IRQ initialization
  + OvmfPkg: AcpiTimerLib: Split into multiple phase-specific
    instances
  + OvmfPkg: PlatformPei: Platform specific ACPI power management
    setup
  + OvmfPkg: Factor out platform detection (q35 vs. piix4)
  + UefiCpuPkg/CpuDxe: install Mp Service protocol
  + UefiCpuPkg/CpuDxe: introduce EFI_MP_SERVICES_PROTOCOL
  + ArmPkg/ArmGicLib: select GICv2 mode if SRE is present but
    unavailable
  + OvmfPkg/XenPvBlkDxe: Don't include system inttypes.h
  + ArmPlatformPkg: fix undefined reference to memcpy
  + CryptoPkg Updates to support RFC3161 timestamp signature
    verification
  + MdeModulePkg DxeCore/PiSmmCore: Add UEFI memory and SMRAM
    profile support
* Tue Nov 11 2014 glin@suse.com
- Update to R16329
  + ArmPkg/ArmArchTimerLib: Promotes 32bit value to prevent
    overflow
  + ArmPkg/CompilerIntrinsicesLib: Fixed memmove() and memset()
  + ArmPkg: Ensured the stack is always quad-word aligned
  + ArmPlatformPkg: Increase more ARM address Pcd entries to 64-bit
  + Fix execution status & DEBUG message level mismatch
  + OvmfPkg: set video resolution of text setup to 640x480
  + OvmfPkg: BDS: drop custom boot timeout, revert to
    IntelFrameworkModulePkg's
  + OvmfPkg: BDS: drop superfluous "connect first boot option"
    logic
  + OvmfPkg: BDS: optimize second argument in
    PlatformBdsEnterFrontPage() call
  + OvmfPkg: BDS: don't overwrite the BDS Front Page timeout
  + OvmfPkg: BDS: drop useless return statement
  + OvmfPkg: BDS: remove dead call to PlatformBdsEnterFrontPage()
  + BaseTools/GenFw: Fixed R_AARCH64_CALL26/R_AARCH64_JUMP26 when
    referring to start of a section
  + Various fixes for ShellPkg
  + Convert the assembly code in OVMF to NASM
  + MdeModulePkg/SecurityPkg Variable: Add boundary check for
    while (IsValidVariableHeader (Variable))
  + Add Xen support for OVMF
  + OvmfPkg: Add the MIT license to License.txt
  + ArmPkg/ArmLib: Removed duplicated invalidate TLB function
  + ArmPlatformPkg/ArmShellCmdRunAxf: Added 'runaxf' cmd to shell
- Amend the spec file to use the system gcc version as the tool
  chain tag
* Wed Oct 22 2014 glin@suse.com
- Update to R16226
  + ArmVirtualizationPkg: FdtPL011SerialPortLib: support
    UEFI_APPLICATION
  + ArmPlatformPkg/ArmVirtualizationPkg: Added support for Intel
    BDS
  + ArmPkg/ArmLib/AArch64: Initialize the new N+1-level page table
    before registering it
  + ArmPkg/UncachedMemoryAllocationLib: Track uncached memory
    allocations
  + ArmPkg/ArmPsciResetSystemLib: Made the library only using SMC
  + ArmPlatformPkg/Bds: Reduce boot device entries
  + Various fixes for ShellPkg
  + OvmfPkg: disable stale fork of SecureBootConfigDxe
- Drop upstreamed ovmf-use-generic-sb-config.patch
* Wed Oct  1 2014 glin@suse.com
- Update to R16190
  + OvmfPkg: AcpiPlatformDxe: implement QEMU's full ACPI table
    loader interface
  + OvmfPkg: AcpiPlatformDxe: actualize QemuLoader.h comments
  + OvmfPkg: resolve OrderedCollectionLib with base red-black tree
    instance
  + Fix X64 native function call prolog
  + Add ArmVirtualizationQemu platform
  + Various fixes for ShellPkg
- Enable AArch32 and AArch64 QEMU rom images
- Drop the rom images for Foundation Model
- Drop upstreamed ovmf-correct-debug-path.patch
- Drop upstreamed edk2-basetools-aarch64.patch
* Tue Sep 16 2014 glin@suse.com
- Update to R16106
  + OvmfPkg: resolve BcfgCommandLib class for
    ShellPkg/.../Shell.inf
  + OvmfPkg: AcpiTimerLib: Access power mgmt regs based on host
    bridge type
  + OvmfPkg: QemuVideoDxe: work around misreported QXL framebuffer
    size
  + OvmfPkg: Build OVMF ResetVector during EDK II build process
  + Update openssl to 0.9.8zb
  + Replace GAS Thunk16 with NASM version
  + Various fixes for ShellPkg
- Add ovmf-*-code.bin and ovmf-*-vars.bin for the better flash
  mode support
- Refresh edk2-basetools-aarch64.patch
* Thu Aug 21 2014 lnussel@suse.de
- also build a firmware with the openSUSE 4096 bit CA embedded
* Thu Aug 14 2014 glin@suse.com
- Amend the spec file to package the debug files and update README
  for the source level debugging
- Add gdb_uefi.py.in: the helper script to load the debug symbols
- Update to R15801
  + OvmfPkg/build.sh: Support IA32+X64 build
  + OvmfPkg/build.sh: Add support for GCC49 toolchain
  + Add ACPI5.1 header file
  + BaseTools: various fixes and add support for GCC49
  + OvmfPkg: build OVMF_VARS.fd, OVMF_CODE.fd, OVMF.fd
  + OvmfPkg: extract varstore-related FD Layout Regions to an
    include file
  + StdLib: various fixes and code cleanup
  + Fix segfault while the pointers passed to WaitForEvent() are
    NULL
  + Update openssl to 0.9.8za
  + Correct the default value for date opcode
  + XhciPei/UsbBusPei: Add XHCI recovery support
  + Fix a bug in IP4 driver when computing the network broadcast
    adress
  + Fix the potential address overflow issue when checking PE
    signature
  + OvmfPkg: add missing braces to aggregate and/or union
    initializers
  + OvmfPkg: AcpiPlatformDxe: don't rely on unstable QEMU interface
  + OvmfPkg: AcpiPlatformDxe: exclude RSD PTR from QEMU's fw_cfg
    payload
  + OvmfPkg: AcpiPlatformDxe: pass FwCfgFile to
    InstallQemuLinkedTables()
  + OvmgPkg: QemuFwCfgLib: export QEMU_FW_CFG_FNAME_SIZE
  + Initialize the PCI device path earlier to avoid the possible
    crash
  + Create boot option for all block IO devices
  + ShellPkg: various fixes
- Refresh OVMF-correct-debug-path.patch
* Wed Aug 13 2014 glin@suse.com
- Rename filenames to match the package name
* Wed May 28 2014 glin@suse.com
- Update to R15547
  + Fix memory corruption after S3
  + QemuVideoDxe: Int10h stub for Windows 7 & 2008 (stdvga, QXL)
  + Add QEMU support to OVMF SMBIOS driver
* Thu Apr  3 2014 glin@suse.com
- Update to R15426
  + AcpiPlatformDxe: download ACPI tables from QEMU
  + PlatformDxe: set preferred video resolution from platform
    config
  + QemuBootOrder: don't leak unreferenced boot options
  + Support S3 suspend
  + Bug fixes for QemuVideoDxe
    prefered resolution
  + Various fixes for ShellPkg
- Refresh OVMF-use-generic-sb-config.patch
* Tue Feb 18 2014 glin@suse.com
- Update to R15245
  + OvmfPkg: Reorganize the memory layout
  + OvmfPkg: unify PcdMaxVariableSize at 0x2000 bytes
  + Fix bug that PXEv4 boot fail if PXEv6 is performed firstly
  + Update PXE driver to support PXE forced mode
  + OvmfPkg: QemuFwCfgLib: implement for SEC
  + OvmfPkg: VirtioBlkInit(): expose virtio-blk topology in BlockIo
  + OvmfPkg: QemuFlashFvbServicesRuntimeDxe: fix out-of-LBA write
    access
  + OvmfPkg/QemuVideoDxe: child handles should have open parent
    protocol BY_CHILD_CONTROLLER
  + UefiCpuPkg: S3Resume2Pei: align return stacks explicitly
  + Virtio drivers: fix incorrect casts in init functions
  + Use the new VIRTIO_DEVICE_PROTOCOL protocol
  + Various fixes for ShellPkg
  + Support Xen better
  + Fixed the system hang on VM with >2GB RAM
  + Fix a bug in Fat driver that it asserts when
    OpenEx/ReadEx/WriteEx is about to return failure
  + Updated OvmfPkg to use suitable CPU Exception Handler Library
    instances
  + Updated CPU Exception Handler Library
  + Add Reserve Interrupt and Exception Vectors definition defined
    in PI 1.2.1.
  + QemuVideoDxe: don't leak descriptors returned by
    GetBarAttributes
- Add OVMF-correct-debug-path.patch to correct the path to the
  debug symbols
- Enable AArch64 UEFI image build against Foundation Model
- Drop OVMF-more-gcc-def.patch: just use the flags for gcc 4.7
* Mon Nov 18 2013 glin@suse.com
- Update to R14854
  + Support --enable-flash switch
  + Use rsp instead of esp to save 64-bit stack pointer
  + Fix the bug that SetTimer () cannot work when Type is
    TimerPeriodic and TriggerTime is 0
  + Several Virtio fixes
  + emulated NV storage must be EfiRuntimeServicesData
  + Fix a bug about the iSCSI DHCP dependency issue
  + correctly align emulated NV storage
  + Update ATA drivers to follow UEFI2.4 new request
  + Restore the correct cursor status after finish creating the
    dialog
  + Fix display engine driver paint some menu error
  + Fix a bug about the “VendorKey” variable update logic
  + Several fixes for shell commands
  + Fix spelling typo in the NIC_IP4_CONFIG_INFO.Permanent variable
    name
  + Added VirtIo Subsystem IDs
  + Add the definition for Timestamp Protocol and a new  driver
    base on TimerLib to produce Timestamp protocol
  + Fix modal form display error
  + Fix form flash issue
  + Fix the BdsExpandPartitionPartialDevicePathToFull() hang issue
- Update README about the flash mode support
* Wed Sep 25 2013 glin@suse.com
- Update to R14721
  + Fix EFI handover flag
  + Build early pagetable for the machines without EPT
  + Enable caching in initial page tables
  + Fix pool allocation in shell
  + Improve QemuBootOrder
- Drop upstreamed OVMF-build-early-pagetable.patch
* Fri Sep  6 2013 glin@suse.com
- Strip CR from the license files
- Update README
* Thu Sep  5 2013 glin@suse.com
- Rename the package name from OVMF to ovmf
- Update to R14609
  + Fixes for virtio disk
  + Build the new shell by default
  + Fix EFI memory mapping in Linux loader
  + Add gcc47 definition
- Refresh OVMF-more-gcc-def.patch and OVMF-sle-11-gcc47.patch
- Add OVMF-build-early-pagetable.patch to fix the black screen
  issue on the CPU without EPT support
- Drop upstreamed OVMF-fix-shell-warning.patch
- Drop patches and use the build parameters instead:
  OVMF-enable-secure-boot.patch and OVMF-add-ovmf-targets.patch
- Install license files
- Add _service to checkout the source code from svn
* Thu Aug 29 2013 lnussel@suse.de
- when built in devel project also create a firmware variant that
  includes the devel project key
- include new 2048 bit openSUSE keys
* Tue Aug 27 2013 glin@suse.com
- Add OVMF-sle-11-gcc47.patch for SLE-11-SP3
- Clean up the spec file
- Only embed keys in the x86_64 roms since openSUSE/SUSE and
  Microsoft only support secure boot on x86_64 machines
* Mon Aug 26 2013 glin@suse.com
- Package OVMF roms in qemu-ovmf-*
- Rename patches
  + 0001-OVMF-Enable-secure-boot-and-expand-X64-rom-size.patch to
    OVMF-enable-secure-boot.patch
  + 0002-edk-targets-for-x86_64.patch to
    OVMF-add-ovmf-targets.patch (also enable IA32)
- Merge 0004-add-GCC47-definition-one-removal-of-melf_x86_64.patch
  and OVMF-gcc48-definition.patch into OVMF-more-gcc-def.patch
- Drop 0003-edk2-add-readme.patch and maintain README outside the
  tarball
- Drop 0005-edk-image-size.patch
- Drop 0006-edk-add-shell.efi-target.patch since we don't build
  shell.efi anymore
* Thu Aug 22 2013 glin@suse.com
- Update to R14547
- Drop upstreamed OVMF-fix-shell-warning.patch
* Mon Jul 15 2013 glin@suse.com
- Update to R14466
- Add OVMF-fix-shell-warning.patch to fix a compilation warning in
  shell
- Drop upstreamed OVMF-adjust-variable-size.patch and
  OVMF-convert-virtual-address.patch
* Mon Jul  8 2013 glin@suse.com
- Add OVMF-gcc48-definition.patch for gcc 4.8
* Mon Jun 10 2013 glin@suse.com
- Add OVMF-convert-virtual-address.patch to convert
  mLockedVariableList to virtual address to fix crash when updating
  variables in Runtime
* Wed Jun  5 2013 glin@suse.com
- Update to R14395
- Add OVMF-use-generic-sb-config.patch to use the generic secure
  boot config menu
- Drop OVMF-multi-signatures.patch
* Wed May 29 2013 glin@suse.com
- Update to R14387
- Add OVMF-adjust-variable-size.patch to adjust the default maximum
  variable size to avoid crash
- Remove upstreamed OVMF-new-shell-error-string.patch
- Disable OVMF-multi-signatures.patch
- Build the image with openSUSE keys
* Tue May 14 2013 glin@suse.com
- Refresh OVMF-embed-default-keys.patch to fix a bug that causd the
  enrolled keys overwritten by the default keys after system reset.
- Add OVMF-new-shell-error-string.patch to add newer error status
  strings
- Enable the new shell
* Fri May 10 2013 glin@suse.com
- Add OVMF-embed-default-keys.patch to embed keys at build time
- Build images with SUSE and MS keys
* Fri Mar 22 2013 glin@suse.com
- Add OVMF-multi-signatures.patch (R14141)
- New package OVMF based on James Bottomley's OVMF package (R14071)
